/*!
* DevExtreme (dx.messages.el.js)
* Version: 21.2.3
* Build date: Thu Nov 11 2021
*
* Copyright (c) 2012 - 2021 Developer Express Inc. ALL RIGHTS RESERVED
* Read about DevExtreme licensing here: https://js.devexpress.com/Licensing/
*/
"use strict";

(function(root, factory) {
    if(typeof define === 'function' && define.amd) {
        define(function(require) {
            factory(require("devextreme/localization"));
        });
    } else if(typeof module === "object" && module.exports) {
        factory(require("devextreme/localization"));
    } else {
        factory(DevExpress.localization);
    }
}(this, function(localization) {
    localization.loadMessages({
        "el": {
            "Yes": "Ναί",
            "No": "Όχι",
            "Cancel": "Ακύρωση",
            "Clear": "Εκκαθάριση",
            "Done": "Καταχώρηση",
            "Loading": "Φόρτωση",
            "Select": "Επιλέξτε...",
            "Search": "Αναζήτηση",
            "Back": "Πίσω",
            "OK": "ΟΚ",
            "dxCollectionWidget-noDataText": "Δεν υπάρχουν δεδομένα προς εμφάνιση",
            "dxDropDownEditor-selectLabel": "Επιλέξτε",
            "validation-required": "Απαιτείται συμπλήρωση",
            "validation-required-formatted": "{0} είναι απαιτούμενο προς συμπλήρωση",
            "validation-numeric": "Η τιμή του πεδίου πρέπει να είναι αριθμητική",
            "validation-numeric-formatted": "Το πεδίο {0} πρέπει να περιέχει αριθμητική τιμή",
            "validation-range": "Τιμή εκτός ορίων",
            "validation-range-formatted": "Η τιμή του πεδίου {0} βρισκεται εκτός ορίων",
            "validation-stringLength": "Το μήκος της τιμής που εισάγατε είναι εκτός ορίων",
            "validation-stringLength-formatted": "Το μήκος της τιμής του πεδίου {0} δεν είναι σωστό",
            "validation-custom": "Η τιμή είναι άκυρη",
            "validation-custom-formatted": "Η τιμή του πεδίου {0} είναι άκυρη",
            "validation-async": "Η τιμή είναι άκυρη",
            "validation-async-formatted": "Η τιμή του πεδίου {0} είναι άκυρη",
            "validation-compare": "Οι τιμές δεν ταιριάζουν",
            "validation-compare-formatted": "Η τιμή του πεδίου {0} δεν ταιριάζει",
            "validation-pattern": "Η τιμη δεν είναι η αναμενόμενη",
            "validation-pattern-formatted": "Η τιμή του πεδίου {0} δεν ειναι η αναμενόμενη",
            "validation-email": "Το Email είναι άκυρο",
            "validation-email-formatted": "Η τιμή του πεδίου {0} είναι άκυρη",
            "validation-mask": "Η τιμή είναι άκυρη",
            "dxLookup-searchPlaceholder": "Ελάχιστος αριθμός χαρακτήρων: {0}",
            "dxList-pullingDownText": "Σύρετε απο πάνω προς τα κάτω για ανανέωση...",
            "dxList-pulledDownText": "Απελευθερώστε για ανανέωση...",
            "dxList-refreshingText": "Ανανέωση...",
            "dxList-pageLoadingText": "Φόρτωση...",
            "dxList-nextButtonText": "Περισσότερα",
            "dxList-selectAll": "Επιλογή όλων",
            "dxListEditDecorator-delete": "Διαγραφή",
            "dxListEditDecorator-more": "Περισσότερα",
            "dxScrollView-pullingDownText": "Σύρετε απο πάνω προς τα κάτω για ανανέωση...",
            "dxScrollView-pulledDownText": "Απελευθερώστε για ανανέωση...",
            "dxScrollView-refreshingText": "Ανανέωση...",
            "dxScrollView-reachBottomText": "Φόρτωση...",
            "dxDateBox-simulatedDataPickerTitleTime": "Επιλέξτε ώρα",
            "dxDateBox-simulatedDataPickerTitleDate": "Επιλέξτε ημερομηνία",
            "dxDateBox-simulatedDataPickerTitleDateTime": "Επιλέξτε ώρα και ημερομηνία",
            "dxDateBox-validation-datetime": "Η τιμή πρέπει να αναπαριστά ημερομηνία",
            "dxFileUploader-selectFile": "Επιλέξτε αρχείο",
            "dxFileUploader-dropFile": "ή σύρετε το αρχείο εδώ",
            "dxFileUploader-bytes": "bytes",
            "dxFileUploader-kb": "kb",
            "dxFileUploader-Mb": "Mb",
            "dxFileUploader-Gb": "Gb",
            "dxFileUploader-upload": "Μεταφόρτωση",
            "dxFileUploader-uploaded": "Μεταφορτώθηκε",
            "dxFileUploader-readyToUpload": "Έτοιμο προς μεταφόρτωση",
            "dxFileUploader-uploadAbortedMessage": "TODO",
            "dxFileUploader-uploadFailedMessage": "Η μεταφόρτωση απέτυχε",
            "dxFileUploader-invalidFileExtension": "Ο τυπος του αρχείου δεν είναι επιτρεπτός",
            "dxFileUploader-invalidMaxFileSize": "Το αρχείο είναι πολύ μεγάλο",
            "dxFileUploader-invalidMinFileSize": "Το αρχειο είναι πολυ μικρό",
            "dxRangeSlider-ariaFrom": "Από",
            "dxRangeSlider-ariaTill": "Εώς",
            "dxSwitch-switchedOnText": "ON",
            "dxSwitch-switchedOffText": "OFF",
            "dxForm-optionalMark": "Προαιρετικό",
            "dxForm-requiredMessage": "Το πεδίο {0} είναι απαιτούμενο",
            "dxNumberBox-invalidValueMessage": "Η τιμή πρέπει να είναι αριθμητική",
            "dxNumberBox-noDataText": "Δεν υπάρχουν δεδομένα",
            "dxDataGrid-columnChooserTitle": "Επιλογέας στήλης",
            "dxDataGrid-columnChooserEmptyText": "Σύρετε μια στήλη εδώ για να την κρύψετε",
            "dxDataGrid-groupContinuesMessage": "Συνέχεια στην επόμενη σελίδα",
            "dxDataGrid-groupContinuedMessage": "Συνέχεια απο προηγούμενη σελίδα",
            "dxDataGrid-groupHeaderText": "Ομαδοποίηση απο αυτή την στήλη",
            "dxDataGrid-ungroupHeaderText": "Απόσπαση",
            "dxDataGrid-ungroupAllText": "Απόσπαση όλων",
            "dxDataGrid-editingEditRow": "Επεξεργασία",
            "dxDataGrid-editingSaveRowChanges": "Αποθήκευση",
            "dxDataGrid-editingCancelRowChanges": "Ακύρωση",
            "dxDataGrid-editingDeleteRow": "Διαγραφή",
            "dxDataGrid-editingUndeleteRow": "Ανάκτηση διαγραφής",
            "dxDataGrid-editingConfirmDeleteMessage": "Είστε σίγουροι πως θέλετε την διαγραφή αυτής της εγγραφής;",
            "dxDataGrid-validationCancelChanges": "Ακύρωση αλλαγών",
            "dxDataGrid-groupPanelEmptyText": "Σύρετε μια στήλη εδώ για να ομαδοποιήσετε με βάση αυτή",
            "dxDataGrid-noDataText": "Δεν υπάρχουν δεδομένα",
            "dxDataGrid-searchPanelPlaceholder": "Αναζήτηση...",
            "dxDataGrid-filterRowShowAllText": "(Όλα)",
            "dxDataGrid-filterRowResetOperationText": "Επαναφορά",
            "dxDataGrid-filterRowOperationEquals": "Ισούται",
            "dxDataGrid-filterRowOperationNotEquals": "Διαφέρει",
            "dxDataGrid-filterRowOperationLess": "Μικρότερο από",
            "dxDataGrid-filterRowOperationLessOrEquals": "Μικρότερο ίσο από",
            "dxDataGrid-filterRowOperationGreater": "Μεγαλύτερο από",
            "dxDataGrid-filterRowOperationGreaterOrEquals": "Μεγαλύτερο ίσο από",
            "dxDataGrid-filterRowOperationStartsWith": "Ξεκινάει με",
            "dxDataGrid-filterRowOperationContains": "Περιέχει",
            "dxDataGrid-filterRowOperationNotContains": "Δεν περιέχει",
            "dxDataGrid-filterRowOperationEndsWith": "Τελειώνει με",
            "dxDataGrid-filterRowOperationBetween": "Ανάμεσα",
            "dxDataGrid-filterRowOperationBetweenStartText": "Εκκίνηση",
            "dxDataGrid-filterRowOperationBetweenEndText": "Τέλος",
            "dxDataGrid-applyFilterText": "Εισαγωγή φίλτρου",
            "dxDataGrid-trueText": "Αληθές",
            "dxDataGrid-falseText": "Ψευδές",
            "dxDataGrid-sortingAscendingText": "Ταξινόμηση αύξουσα",
            "dxDataGrid-sortingDescendingText": "Ταξινόμηση φθήνουσα",
            "dxDataGrid-sortingClearText": "Εκκαθάριση ταξινόμισης",
            "dxDataGrid-editingSaveAllChanges": "Αποθήκευση αλλαγών",
            "dxDataGrid-editingCancelAllChanges": "Απόρριψη αλλαγών",
            "dxDataGrid-editingAddRow": "Προσθήκη γραμμής",
            "dxDataGrid-summaryMin": "Min: {0}",
            "dxDataGrid-summaryMinOtherColumn": "Min of {1} is {0}",
            "dxDataGrid-summaryMax": "Max: {0}",
            "dxDataGrid-summaryMaxOtherColumn": "Max of {1} is {0}",
            "dxDataGrid-summaryAvg": "Avg: {0}",
            "dxDataGrid-summaryAvgOtherColumn": "Avg of {1} is {0}",
            "dxDataGrid-summarySum": "Sum: {0}",
            "dxDataGrid-summarySumOtherColumn": "Sum of {1} is {0}",
            "dxDataGrid-summaryCount": "Ποσότητα: {0}",
            "dxDataGrid-columnFixingFix": "Επιδιόρθωση",
            "dxDataGrid-columnFixingUnfix": "Άρση επισκευής",
            "dxDataGrid-columnFixingLeftPosition": "Προς τα αριστερά",
            "dxDataGrid-columnFixingRightPosition": "Προς τα δεξιά",
            "dxDataGrid-exportTo": "Εξαγωγή",
            "dxDataGrid-exportToExcel": "Εξαγωγή σε Excel",
            "dxDataGrid-exporting": "Εξαγωγή...",
            "dxDataGrid-excelFormat": "Αρχείο Excel",
            "dxDataGrid-selectedRows": "Επιλεγμένες γραμμές",
            "dxDataGrid-exportSelectedRows": "Εξαγωγή επιλεγμένων γραμμών",
            "dxDataGrid-exportAll": "Εξαγωγή όλων των δεδομένων",
            "dxDataGrid-headerFilterEmptyValue": "(Blanks)",
            "dxDataGrid-headerFilterOK": "OK",
            "dxDataGrid-headerFilterCancel": "Ακύρωση",
            "dxDataGrid-ariaColumn": "Στήλη",
            "dxDataGrid-ariaValue": "Τιμή",
            "dxDataGrid-ariaFilterCell": "Φιλτράρισμα κελιού",
            "dxDataGrid-ariaCollapse": "Συρρίκνωση",
            "dxDataGrid-ariaExpand": "Επέκταση",
            "dxDataGrid-ariaDataGrid": "Πλέγμα δεδομένων",
            "dxDataGrid-ariaSearchInGrid": "Αναζήτηση στο πλέγμα δεδομένων",
            "dxDataGrid-ariaSelectAll": "Επιλογή όλων",
            "dxDataGrid-ariaSelectRow": "Επιλέξτε σειρά",
            "dxDataGrid-filterBuilderPopupTitle": "Δημιουργία φίλτρου",
            "dxDataGrid-filterPanelCreateFilter": "Δημιουργία φίλτρου",
            "dxDataGrid-filterPanelClearFilter": "Εκκαθάριση",
            "dxDataGrid-filterPanelFilterEnabledHint": "Ενεργοποιήστε το φίλτρο",
            "dxTreeList-ariaTreeList": "Λίστα δένδρων",
            "dxTreeList-editingAddRowToNode": "Προσθέτω",
            "dxPager-infoText": "Σελίδα {0} από {1} ({2} αντικείμενα)",
            "dxPager-pagesCountText": "από",
            "dxPager-pageSizesAllText": "Όλα",
            "dxPivotGrid-grandTotal": "Σύνολο",
            "dxPivotGrid-total": "{0} Σύνολο",
            "dxPivotGrid-fieldChooserTitle": "Επιλογέας πεδίου",
            "dxPivotGrid-showFieldChooser": "Εμφάνιση επιλογέα πεδίων",
            "dxPivotGrid-expandAll": "Επέκταση όλων",
            "dxPivotGrid-collapseAll": "Σύμπτυξη όλων",
            "dxPivotGrid-sortColumnBySummary": "Ταξινόμηση \"{0}\" από αυτή την στήλη",
            "dxPivotGrid-sortRowBySummary": "Ταξινόμηση \"{0}\" από αυτή την γραμμή",
            "dxPivotGrid-removeAllSorting": "Κατάργηση κάθε ταξινόμησης",
            "dxPivotGrid-dataNotAvailable": "N/A",
            "dxPivotGrid-rowFields": "Πεδία γραμμής",
            "dxPivotGrid-columnFields": "Πεδία στήλης",
            "dxPivotGrid-dataFields": "Πεδία δεδομένων",
            "dxPivotGrid-filterFields": "Πεδία φίλτρου",
            "dxPivotGrid-allFields": "Ολα τα πεδία",
            "dxPivotGrid-columnFieldArea": "Τοποθετήστε τα πεδία στη στήλη εδώ",
            "dxPivotGrid-dataFieldArea": "Τοποθετήστε τα πεδία δεδομένων εδώ",
            "dxPivotGrid-rowFieldArea": "Τοποθετήστε τα πεδία γραμμών εδώ",
            "dxPivotGrid-filterFieldArea": "Τοποθετήστε τα πεδία φίλτρων εδώ",
            "dxScheduler-editorLabelTitle": "Θέμα",
            "dxScheduler-editorLabelStartDate": "Ημερομηνία έναρξης",
            "dxScheduler-editorLabelEndDate": "Ημερομηνία λήξης",
            "dxScheduler-editorLabelDescription": "Περιγραφή",
            "dxScheduler-editorLabelRecurrence": "Επανάληψη",
            "dxScheduler-openAppointment": "Άνοιγμα ραντεβού",
            "dxScheduler-recurrenceNever": "Ποτέ",
            "dxScheduler-recurrenceMinutely": "Minutely",
            "dxScheduler-recurrenceHourly": "Hourly",
            "dxScheduler-recurrenceDaily": "Καθημερινά",
            "dxScheduler-recurrenceWeekly": "Εβδομαδιαία",
            "dxScheduler-recurrenceMonthly": "Μηνιαία",
            "dxScheduler-recurrenceYearly": "Ετήσια",
            "dxScheduler-recurrenceRepeatEvery": "Κάθε",
            "dxScheduler-recurrenceRepeatOn": "Repeat On",
            "dxScheduler-recurrenceEnd": "Τερματισμός επανάληψης",
            "dxScheduler-recurrenceAfter": "Μετά",
            "dxScheduler-recurrenceOn": "On",
            "dxScheduler-recurrenceRepeatMinutely": "minute(s)",
            "dxScheduler-recurrenceRepeatHourly": "hour(s)",
            "dxScheduler-recurrenceRepeatDaily": "μέρα(ες)",
            "dxScheduler-recurrenceRepeatWeekly": "εβδομάδα(ες)",
            "dxScheduler-recurrenceRepeatMonthly": "μήνα(ες)",
            "dxScheduler-recurrenceRepeatYearly": "χρόνο(ους)",
            "dxScheduler-switcherDay": "Μέρα",
            "dxScheduler-switcherWeek": "Εβδομάδα",
            "dxScheduler-switcherWorkWeek": "Εβδομάδα εργασίας",
            "dxScheduler-switcherMonth": "Μήνας",
            "dxScheduler-switcherAgenda": "Ημερήσια διάταξη",
            "dxScheduler-switcherTimelineDay": "Ημερήσιο Χρονολόγιο",
            "dxScheduler-switcherTimelineWeek": "Εβδομαδιαίο Χρονολόγιο",
            "dxScheduler-switcherTimelineWorkWeek": "Χρονολόγιο εβδομάδας εργασίας",
            "dxScheduler-switcherTimelineMonth": "Μηνιαίο Χρονολόγιο",
            "dxScheduler-recurrenceRepeatOnDate": "στην ημερομηνία",
            "dxScheduler-recurrenceRepeatCount": "περιστατικό(α)",
            "dxScheduler-allDay": "Όλη μέρα",
            "dxScheduler-confirmRecurrenceEditMessage": "Θέλετε να επεξεργαστείτε μόνο αυτό το ραντεβού ή ολόκληρη τη σειρά;",
            "dxScheduler-confirmRecurrenceDeleteMessage": "Θέλετε να διαγράψετε μόνο αυτό το ραντεβού ή ολόκληρη τη σειρά;",
            "dxScheduler-confirmRecurrenceEditSeries": "Επεξεργασία σειράς",
            "dxScheduler-confirmRecurrenceDeleteSeries": "Διαγραφή σειράς",
            "dxScheduler-confirmRecurrenceEditOccurrence": "Επεξεργασία συνάντησης",
            "dxScheduler-confirmRecurrenceDeleteOccurrence": "Διαγραφή συνάντησης",
            "dxScheduler-noTimezoneTitle": "Χωρίς ζώνη ώρας",
            "dxScheduler-moreAppointments": "{0} περισσότερα",
            "dxCalendar-todayButtonText": "Σήμερα",
            "dxCalendar-ariaWidgetName": "Ημερολόγιο",
            "dxColorView-ariaRed": "Κόκκινο",
            "dxColorView-ariaGreen": "Πράσινο",
            "dxColorView-ariaBlue": "Μπλε",
            "dxColorView-ariaAlpha": "Διάφανο",
            "dxColorView-ariaHex": "Κωδικός χρώματος",
            "dxTagBox-selected": "{0} επιλεγμένο/α",
            "dxTagBox-allSelected": "Όλα επιλέχθηκαν ({0})",
            "dxTagBox-moreSelected": "{0} περισσότερα",
            "vizExport-printingButtonText": "Εκτύπωση",
            "vizExport-titleMenuText": "Εξαγωγή/Εκτύπωση",
            "vizExport-exportButtonText": "{0} αρχείο/α",
            "dxFilterBuilder-and": "Και",
            "dxFilterBuilder-or": "Ή",
            "dxFilterBuilder-notAnd": "Όχι Και",
            "dxFilterBuilder-notOr": "Όχι Ή",
            "dxFilterBuilder-addCondition": "Προσθήκη συνθηκών",
            "dxFilterBuilder-addGroup": "Προσθήκη ομάδας",
            "dxFilterBuilder-enterValueText": "<εισαγάγετε μια τιμή>",
            "dxFilterBuilder-filterOperationEquals": "Ίσο με",
            "dxFilterBuilder-filterOperationNotEquals": "Δεν είναι ίσο με",
            "dxFilterBuilder-filterOperationLess": "Είναι μικρότερο από",
            "dxFilterBuilder-filterOperationLessOrEquals": "Είναι μικρότερο΄ή ίσο από",
            "dxFilterBuilder-filterOperationGreater": "Είναι μεγαλύτερο από",
            "dxFilterBuilder-filterOperationGreaterOrEquals": "Είναι μεγαλύτερο ή ίσο με",
            "dxFilterBuilder-filterOperationStartsWith": "Ξεκινάει με",
            "dxFilterBuilder-filterOperationContains": "Περιέχει",
            "dxFilterBuilder-filterOperationNotContains": "Δεν περιέχει",
            "dxFilterBuilder-filterOperationEndsWith": "Τελειώνει με",
            "dxFilterBuilder-filterOperationIsBlank": "Είναι κενό",
            "dxFilterBuilder-filterOperationIsNotBlank": "Δεν είναι κενό",
            "dxFilterBuilder-filterOperationBetween": "Είναι ανάμεσα",
            "dxFilterBuilder-filterOperationAnyOf": "Είναι κάποιο από αυτά",
            "dxFilterBuilder-filterOperationNoneOf": "Δεν είναι τίποτα από αυτά",
            "dxHtmlEditor-dialogColorCaption": "Αλλαγή χρώματος γραμματοσειράς",
            "dxHtmlEditor-dialogBackgroundCaption": "Αλλαγή χρώματος φόντου",
            "dxHtmlEditor-dialogLinkCaption": "Προσθήκη συνδέσμου",
            "dxHtmlEditor-dialogLinkUrlField": "URL",
            "dxHtmlEditor-dialogLinkTextField": "Κείμενο",
            "dxHtmlEditor-dialogLinkTargetField": "Ανοίξτε το σύνδεσμο σε νέο παράθυρο",
            "dxHtmlEditor-dialogImageCaption": "Προσθέστε εικόνα",
            "dxHtmlEditor-dialogImageUrlField": "URL",
            "dxHtmlEditor-dialogImageAltField": "Εναλλακτικό κείμενο",
            "dxHtmlEditor-dialogImageWidthField": "Πλάτος (px)",
            "dxHtmlEditor-dialogImageHeightField": "Υψος (px)",
            "dxHtmlEditor-dialogInsertTableRowsField": "!TODO",
            "dxHtmlEditor-dialogInsertTableColumnsField": "!TODO",
            "dxHtmlEditor-dialogInsertTableCaption": "!TODO",
            "dxHtmlEditor-heading": "Επικεφαλίδα",
            "dxHtmlEditor-normalText": "Κανονικό κείμενο",
            "dxHtmlEditor-background": "TODO",
            "dxHtmlEditor-bold": "TODO",
            "dxHtmlEditor-color": "TODO",
            "dxHtmlEditor-font": "TODO",
            "dxHtmlEditor-italic": "TODO",
            "dxHtmlEditor-link": "TODO",
            "dxHtmlEditor-image": "TODO",
            "dxHtmlEditor-size": "TODO",
            "dxHtmlEditor-strike": "TODO",
            "dxHtmlEditor-subscript": "TODO",
            "dxHtmlEditor-superscript": "TODO",
            "dxHtmlEditor-underline": "TODO",
            "dxHtmlEditor-blockquote": "TODO",
            "dxHtmlEditor-header": "TODO",
            "dxHtmlEditor-increaseIndent": "TODO",
            "dxHtmlEditor-decreaseIndent": "TODO",
            "dxHtmlEditor-orderedList": "TODO",
            "dxHtmlEditor-bulletList": "TODO",
            "dxHtmlEditor-alignLeft": "TODO",
            "dxHtmlEditor-alignCenter": "TODO",
            "dxHtmlEditor-alignRight": "TODO",
            "dxHtmlEditor-alignJustify": "TODO",
            "dxHtmlEditor-codeBlock": "TODO",
            "dxHtmlEditor-variable": "TODO",
            "dxHtmlEditor-undo": "TODO",
            "dxHtmlEditor-redo": "TODO",
            "dxHtmlEditor-clear": "TODO",
            "dxHtmlEditor-insertTable": "TODO",
            "dxHtmlEditor-insertHeaderRow": "TODO",
            "dxHtmlEditor-insertRowAbove": "TODO",
            "dxHtmlEditor-insertRowBelow": "TODO",
            "dxHtmlEditor-insertColumnLeft": "TODO",
            "dxHtmlEditor-insertColumnRight": "TODO",
            "dxHtmlEditor-deleteColumn": "TODO",
            "dxHtmlEditor-deleteRow": "TODO",
            "dxHtmlEditor-deleteTable": "TODO",
            "dxHtmlEditor-cellProperties": "TODO",
            "dxHtmlEditor-tableProperties": "TODO",
            "dxHtmlEditor-insert": "TODO",
            "dxHtmlEditor-delete": "TODO",
            "dxHtmlEditor-border": "TODO",
            "dxHtmlEditor-style": "TODO",
            "dxHtmlEditor-width": "TODO",
            "dxHtmlEditor-height": "TODO",
            "dxHtmlEditor-borderColor": "TODO",
            "dxHtmlEditor-tableBackground": "TODO",
            "dxHtmlEditor-dimensions": "TODO",
            "dxHtmlEditor-alignment": "TODO",
            "dxHtmlEditor-horizontal": "TODO",
            "dxHtmlEditor-vertical": "TODO",
            "dxHtmlEditor-paddingVertical": "TODO",
            "dxHtmlEditor-paddingHorizontal": "TODO",
            "dxHtmlEditor-pixels": "TODO",
            "dxHtmlEditor-list": "TODO",
            "dxHtmlEditor-ordered": "TODO",
            "dxHtmlEditor-bullet": "TODO",
            "dxHtmlEditor-align": "TODO",
            "dxHtmlEditor-center": "TODO",
            "dxHtmlEditor-left": "TODO",
            "dxHtmlEditor-right": "TODO",
            "dxHtmlEditor-indent": "TODO",
            "dxHtmlEditor-justify": "TODO",
            "dxFileManager-newDirectoryName": "TODO",
            "dxFileManager-rootDirectoryName": "TODO",
            "dxFileManager-errorNoAccess": "TODO",
            "dxFileManager-errorDirectoryExistsFormat": "TODO",
            "dxFileManager-errorFileExistsFormat": "TODO",
            "dxFileManager-errorFileNotFoundFormat": "TODO",
            "dxFileManager-errorDirectoryNotFoundFormat": "TODO",
            "dxFileManager-errorWrongFileExtension": "TODO",
            "dxFileManager-errorMaxFileSizeExceeded": "TODO",
            "dxFileManager-errorInvalidSymbols": "TODO",
            "dxFileManager-errorDefault": "TODO",
            "dxFileManager-errorDirectoryOpenFailed": "TODO",
            "dxDiagram-categoryGeneral": "TODO",
            "dxDiagram-categoryFlowchart": "TODO",
            "dxDiagram-categoryOrgChart": "TODO",
            "dxDiagram-categoryContainers": "TODO",
            "dxDiagram-categoryCustom": "TODO",
            "dxDiagram-commandExportToSvg": "TODO",
            "dxDiagram-commandExportToPng": "TODO",
            "dxDiagram-commandExportToJpg": "TODO",
            "dxDiagram-commandUndo": "TODO",
            "dxDiagram-commandRedo": "TODO",
            "dxDiagram-commandFontName": "TODO",
            "dxDiagram-commandFontSize": "TODO",
            "dxDiagram-commandBold": "TODO",
            "dxDiagram-commandItalic": "TODO",
            "dxDiagram-commandUnderline": "TODO",
            "dxDiagram-commandTextColor": "TODO",
            "dxDiagram-commandLineColor": "TODO",
            "dxDiagram-commandLineWidth": "TODO",
            "dxDiagram-commandLineStyle": "TODO",
            "dxDiagram-commandLineStyleSolid": "TODO",
            "dxDiagram-commandLineStyleDotted": "TODO",
            "dxDiagram-commandLineStyleDashed": "TODO",
            "dxDiagram-commandFillColor": "TODO",
            "dxDiagram-commandAlignLeft": "TODO",
            "dxDiagram-commandAlignCenter": "TODO",
            "dxDiagram-commandAlignRight": "TODO",
            "dxDiagram-commandConnectorLineType": "TODO",
            "dxDiagram-commandConnectorLineStraight": "TODO",
            "dxDiagram-commandConnectorLineOrthogonal": "TODO",
            "dxDiagram-commandConnectorLineStart": "TODO",
            "dxDiagram-commandConnectorLineEnd": "TODO",
            "dxDiagram-commandConnectorLineNone": "TODO",
            "dxDiagram-commandConnectorLineArrow": "TODO",
            "dxDiagram-commandFullscreen": "TODO",
            "dxDiagram-commandUnits": "TODO",
            "dxDiagram-commandPageSize": "TODO",
            "dxDiagram-commandPageOrientation": "TODO",
            "dxDiagram-commandPageOrientationLandscape": "TODO",
            "dxDiagram-commandPageOrientationPortrait": "TODO",
            "dxDiagram-commandPageColor": "TODO",
            "dxDiagram-commandShowGrid": "TODO",
            "dxDiagram-commandSnapToGrid": "TODO",
            "dxDiagram-commandGridSize": "TODO",
            "dxDiagram-commandZoomLevel": "TODO",
            "dxDiagram-commandAutoZoom": "TODO",
            "dxDiagram-commandFitToContent": "TODO",
            "dxDiagram-commandFitToWidth": "TODO",
            "dxDiagram-commandAutoZoomByContent": "TODO",
            "dxDiagram-commandAutoZoomByWidth": "TODO",
            "dxDiagram-commandSimpleView": "TODO",
            "dxDiagram-commandCut": "TODO",
            "dxDiagram-commandCopy": "TODO",
            "dxDiagram-commandPaste": "TODO",
            "dxDiagram-commandSelectAll": "TODO",
            "dxDiagram-commandDelete": "TODO",
            "dxDiagram-commandBringToFront": "TODO",
            "dxDiagram-commandSendToBack": "TODO",
            "dxDiagram-commandLock": "TODO",
            "dxDiagram-commandUnlock": "TODO",
            "dxDiagram-commandInsertShapeImage": "TODO",
            "dxDiagram-commandEditShapeImage": "TODO",
            "dxDiagram-commandDeleteShapeImage": "TODO",
            "dxDiagram-commandLayoutLeftToRight": "TODO",
            "dxDiagram-commandLayoutRightToLeft": "TODO",
            "dxDiagram-commandLayoutTopToBottom": "TODO",
            "dxDiagram-commandLayoutBottomToTop": "TODO",
            "dxDiagram-unitIn": "TODO",
            "dxDiagram-unitCm": "TODO",
            "dxDiagram-unitPx": "TODO",
            "dxDiagram-dialogButtonOK": "TODO",
            "dxDiagram-dialogButtonCancel": "TODO",
            "dxDiagram-dialogInsertShapeImageTitle": "TODO",
            "dxDiagram-dialogEditShapeImageTitle": "TODO",
            "dxDiagram-dialogEditShapeImageSelectButton": "TODO",
            "dxDiagram-dialogEditShapeImageLabelText": "TODO",
            "dxDiagram-uiExport": "TODO",
            "dxDiagram-uiProperties": "TODO",
            "dxDiagram-uiSettings": "TODO",
            "dxDiagram-uiShowToolbox": "TODO",
            "dxDiagram-uiSearch": "TODO",
            "dxDiagram-uiStyle": "TODO",
            "dxDiagram-uiLayout": "TODO",
            "dxDiagram-uiLayoutTree": "TODO",
            "dxDiagram-uiLayoutLayered": "TODO",
            "dxDiagram-uiDiagram": "TODO",
            "dxDiagram-uiText": "TODO",
            "dxDiagram-uiObject": "TODO",
            "dxDiagram-uiConnector": "TODO",
            "dxDiagram-uiPage": "TODO",
            "dxDiagram-shapeText": "TODO",
            "dxDiagram-shapeRectangle": "TODO",
            "dxDiagram-shapeEllipse": "TODO",
            "dxDiagram-shapeCross": "TODO",
            "dxDiagram-shapeTriangle": "TODO",
            "dxDiagram-shapeDiamond": "TODO",
            "dxDiagram-shapeHeart": "TODO",
            "dxDiagram-shapePentagon": "TODO",
            "dxDiagram-shapeHexagon": "TODO",
            "dxDiagram-shapeOctagon": "TODO",
            "dxDiagram-shapeStar": "TODO",
            "dxDiagram-shapeArrowLeft": "TODO",
            "dxDiagram-shapeArrowUp": "TODO",
            "dxDiagram-shapeArrowRight": "TODO",
            "dxDiagram-shapeArrowDown": "TODO",
            "dxDiagram-shapeArrowUpDown": "TODO",
            "dxDiagram-shapeArrowLeftRight": "TODO",
            "dxDiagram-shapeProcess": "TODO",
            "dxDiagram-shapeDecision": "TODO",
            "dxDiagram-shapeTerminator": "TODO",
            "dxDiagram-shapePredefinedProcess": "TODO",
            "dxDiagram-shapeDocument": "TODO",
            "dxDiagram-shapeMultipleDocuments": "TODO",
            "dxDiagram-shapeManualInput": "TODO",
            "dxDiagram-shapePreparation": "TODO",
            "dxDiagram-shapeData": "TODO",
            "dxDiagram-shapeDatabase": "TODO",
            "dxDiagram-shapeHardDisk": "TODO",
            "dxDiagram-shapeInternalStorage": "TODO",
            "dxDiagram-shapePaperTape": "TODO",
            "dxDiagram-shapeManualOperation": "TODO",
            "dxDiagram-shapeDelay": "TODO",
            "dxDiagram-shapeStoredData": "TODO",
            "dxDiagram-shapeDisplay": "TODO",
            "dxDiagram-shapeMerge": "TODO",
            "dxDiagram-shapeConnector": "TODO",
            "dxDiagram-shapeOr": "TODO",
            "dxDiagram-shapeSummingJunction": "TODO",
            "dxDiagram-shapeContainerDefaultText": "TODO",
            "dxDiagram-shapeVerticalContainer": "TODO",
            "dxDiagram-shapeHorizontalContainer": "TODO",
            "dxDiagram-shapeCardDefaultText": "TODO",
            "dxDiagram-shapeCardWithImageOnLeft": "TODO",
            "dxDiagram-shapeCardWithImageOnTop": "TODO",
            "dxDiagram-shapeCardWithImageOnRight": "TODO",
            "dxGantt-dialogTitle": "TODO",
            "dxGantt-dialogStartTitle": "TODO",
            "dxGantt-dialogEndTitle": "TODO",
            "dxGantt-dialogProgressTitle": "TODO",
            "dxGantt-dialogResourcesTitle": "TODO",
            "dxGantt-dialogResourceManagerTitle": "TODO",
            "dxGantt-dialogTaskDetailsTitle": "TODO",
            "dxGantt-dialogEditResourceListHint": "TODO",
            "dxGantt-dialogEditNoResources": "TODO",
            "dxGantt-dialogButtonAdd": "TODO",
            "dxGantt-contextMenuNewTask": "TODO",
            "dxGantt-contextMenuNewSubtask": "TODO",
            "dxGantt-contextMenuDeleteTask": "TODO",
            "dxGantt-contextMenuDeleteDependency": "TODO",
            "dxGantt-dialogTaskDeleteConfirmation": "TODO",
            "dxGantt-dialogDependencyDeleteConfirmation": "TODO",
            "dxGantt-dialogResourcesDeleteConfirmation": "TODO",
            "dxGantt-dialogConstraintCriticalViolationMessage": "TODO",
            "dxGantt-dialogConstraintViolationMessage": "TODO",
            "dxGantt-dialogCancelOperationMessage": "TODO",
            "dxGantt-dialogDeleteDependencyMessage": "TODO",
            "dxGantt-dialogMoveTaskAndKeepDependencyMessage": "TODO",
            "dxGantt-undo": "TODO",
            "dxGantt-redo": "TODO",
            "dxGantt-expandAll": "TODO",
            "dxGantt-collapseAll": "TODO",
            "dxGantt-addNewTask": "TODO",
            "dxGantt-deleteSelectedTask": "TODO",
            "dxGantt-zoomIn": "TODO",
            "dxGantt-zoomOut": "TODO",
            "dxGantt-fullScreen": "TODO",
            "dxGantt-quarter": "TODO",
            "dxGantt-sortingAscendingText": "Ταξινόμηση αύξουσα",
            "dxGantt-sortingDescendingText": "Ταξινόμηση φθήνουσα",
            "dxGantt-sortingClearText": "Εκκαθάριση ταξινόμισης",
            "dxGantt-showResources": "TODO",
            "dxGantt-showDependencies": "TODO",
            "dxGantt-dialogStartDateValidation": "TODO",
            "dxGantt-dialogEndDateValidation": "TODO"
        }
    });
}));
