/*!
* DevExtreme (dx.messages.hu.js)
* Version: 21.2.3
* Build date: Thu Nov 11 2021
*
* Copyright (c) 2012 - 2021 Developer Express Inc. ALL RIGHTS RESERVED
* Read about DevExtreme licensing here: https://js.devexpress.com/Licensing/
*/
"use strict";

(function(root, factory) {
    if(typeof define === 'function' && define.amd) {
        define(function(require) {
            factory(require("devextreme/localization"));
        });
    } else if(typeof module === "object" && module.exports) {
        factory(require("devextreme/localization"));
    } else {
        factory(DevExpress.localization);
    }
}(this, function(localization) {
    localization.loadMessages({
        "hu": {
            "Yes": "Igen",
            "No": "Nem",
            "Cancel": "Mégse",
            "Clear": "Törlés",
            "Done": "Kész",
            "Loading": "Betöltés...",
            "Select": "Választás...",
            "Search": "Keresés",
            "Back": "Vissza",
            "OK": "OK",
            "dxCollectionWidget-noDataText": "Nincs megjeleníthető adat",
            "dxDropDownEditor-selectLabel": "Választás",
            "validation-required": "Kötelező",
            "validation-required-formatted": "{0} kötelező",
            "validation-numeric": "Az érték szám kell legyen",
            "validation-numeric-formatted": "{0} szám kell legyen",
            "validation-range": "Az érték tartományon kívülre esik",
            "validation-range-formatted": "{0} tartományon kívülre esik",
            "validation-stringLength": "Az érték hossza helytelen",
            "validation-stringLength-formatted": "{0} hossza helytelen",
            "validation-custom": "Érvénytelen érték",
            "validation-custom-formatted": "{0} érvénytelen",
            "validation-async": "Érvénytelen érték",
            "validation-async-formatted": "{0} érvénytelen",
            "validation-compare": "Az értékek nem egyeznek",
            "validation-compare-formatted": "{0} nem egyezik",
            "validation-pattern": "Az érték nem illeszthető a mintára",
            "validation-pattern-formatted": "{0} nem illeszthető a mintára",
            "validation-email": "Érvénytelen email",
            "validation-email-formatted": "{0} érvénytelen email",
            "validation-mask": "Érvénytelen érték",
            "dxLookup-searchPlaceholder": "Minimum karakterszám: {0}",
            "dxList-pullingDownText": "Húzza le a frissítéshez...",
            "dxList-pulledDownText": "Engedje el a frissítéshez...",
            "dxList-refreshingText": "Frissítés...",
            "dxList-pageLoadingText": "Betöltés...",
            "dxList-nextButtonText": "Tovább",
            "dxList-selectAll": "Összes kiválasztása",
            "dxListEditDecorator-delete": "Törlés",
            "dxListEditDecorator-more": "Több",
            "dxScrollView-pullingDownText": "Húzza le a frissítéshez...",
            "dxScrollView-pulledDownText": "Engedje el a frissítéshez...",
            "dxScrollView-refreshingText": "Frissítés...",
            "dxScrollView-reachBottomText": "Betöltés...",
            "dxDateBox-simulatedDataPickerTitleTime": "Válasszon időt",
            "dxDateBox-simulatedDataPickerTitleDate": "Válasszon dátumot",
            "dxDateBox-simulatedDataPickerTitleDateTime": "Válasszon dátumot és időt",
            "dxDateBox-validation-datetime": "Az érték dátum vagy idő kell legyen",
            "dxFileUploader-selectFile": "Válasszon fájlt",
            "dxFileUploader-dropFile": "vagy húzza a fájlt ide",
            "dxFileUploader-bytes": "bájt",
            "dxFileUploader-kb": "kb",
            "dxFileUploader-Mb": "Mb",
            "dxFileUploader-Gb": "Gb",
            "dxFileUploader-upload": "Feltöltés",
            "dxFileUploader-uploaded": "Feltöltve",
            "dxFileUploader-readyToUpload": "Feltöltésre kész",
            "dxFileUploader-uploadAbortedMessage": "TODO",
            "dxFileUploader-uploadFailedMessage": "A feltöltés sikertelen",
            "dxFileUploader-invalidFileExtension": "Nem engedélyezett fájltípus",
            "dxFileUploader-invalidMaxFileSize": "Túl nagy fájl",
            "dxFileUploader-invalidMinFileSize": "Túl kicsi fájl",
            "dxRangeSlider-ariaFrom": "-tól",
            "dxRangeSlider-ariaTill": "-ig",
            "dxSwitch-switchedOnText": "BE",
            "dxSwitch-switchedOffText": "KI",
            "dxForm-optionalMark": "választható",
            "dxForm-requiredMessage": "{0} kötelező",
            "dxNumberBox-invalidValueMessage": "Az érték szám kell legyen",
            "dxNumberBox-noDataText": "Nincs adat",
            "dxDataGrid-columnChooserTitle": "Oszlopválasztó",
            "dxDataGrid-columnChooserEmptyText": "Húzza ide az oszlopot az elrejtéshez",
            "dxDataGrid-groupContinuesMessage": "A következő oldalon folytatódik",
            "dxDataGrid-groupContinuedMessage": "Folytatás az előző oldalról",
            "dxDataGrid-groupHeaderText": "Csoportosítás ezen oszlop szerint",
            "dxDataGrid-ungroupHeaderText": "Csoportbontás",
            "dxDataGrid-ungroupAllText": "Összes csoportbontása",
            "dxDataGrid-editingEditRow": "Szerkesztés",
            "dxDataGrid-editingSaveRowChanges": "Mentés",
            "dxDataGrid-editingCancelRowChanges": "Mégse",
            "dxDataGrid-editingDeleteRow": "Törlés",
            "dxDataGrid-editingUndeleteRow": "Visszaállítás",
            "dxDataGrid-editingConfirmDeleteMessage": "Biztosan törli ezt a rekordot?",
            "dxDataGrid-validationCancelChanges": "Módosítások elvetése",
            "dxDataGrid-groupPanelEmptyText": "Húzzon ide egy oszlopfejlécet a csoportosításhoz",
            "dxDataGrid-noDataText": "Nincs adat",
            "dxDataGrid-searchPanelPlaceholder": "Keresés...",
            "dxDataGrid-filterRowShowAllText": "(Mind)",
            "dxDataGrid-filterRowResetOperationText": "Visszaállítás",
            "dxDataGrid-filterRowOperationEquals": "Egyenlő",
            "dxDataGrid-filterRowOperationNotEquals": "Nem egyenlő",
            "dxDataGrid-filterRowOperationLess": "Kisebb",
            "dxDataGrid-filterRowOperationLessOrEquals": "Kisebb vagy egyenlő",
            "dxDataGrid-filterRowOperationGreater": "Nagyobb",
            "dxDataGrid-filterRowOperationGreaterOrEquals": "Nagyobb vagy egyenlő",
            "dxDataGrid-filterRowOperationStartsWith": "Kezdődik",
            "dxDataGrid-filterRowOperationContains": "Tartalmazza",
            "dxDataGrid-filterRowOperationNotContains": "Nem tartalmazza",
            "dxDataGrid-filterRowOperationEndsWith": "Végződik",
            "dxDataGrid-filterRowOperationBetween": "Között",
            "dxDataGrid-filterRowOperationBetweenStartText": "Kezdete",
            "dxDataGrid-filterRowOperationBetweenEndText": "Vége",
            "dxDataGrid-applyFilterText": "Szűrő alkalmazása",
            "dxDataGrid-trueText": "igaz",
            "dxDataGrid-falseText": "hamis",
            "dxDataGrid-sortingAscendingText": "Növekvő",
            "dxDataGrid-sortingDescendingText": "Csökkenő",
            "dxDataGrid-sortingClearText": "Rendezés törlése",
            "dxDataGrid-editingSaveAllChanges": "Módosítások mentése",
            "dxDataGrid-editingCancelAllChanges": "Módosítások elvetése",
            "dxDataGrid-editingAddRow": "Sor hozzáadása",
            "dxDataGrid-summaryMin": "Minimum: {0}",
            "dxDataGrid-summaryMinOtherColumn": "{1} minimuma: {0}",
            "dxDataGrid-summaryMax": "Maximum: {0}",
            "dxDataGrid-summaryMaxOtherColumn": "{1} maximuma: {0}",
            "dxDataGrid-summaryAvg": "Átlag: {0}",
            "dxDataGrid-summaryAvgOtherColumn": "{1} átlaga: {0}",
            "dxDataGrid-summarySum": "Összeg: {0}",
            "dxDataGrid-summarySumOtherColumn": "{1} összege: {0}",
            "dxDataGrid-summaryCount": "Darabszám: {0}",
            "dxDataGrid-columnFixingFix": "Rögzítés",
            "dxDataGrid-columnFixingUnfix": "Feloldás",
            "dxDataGrid-columnFixingLeftPosition": "Balra",
            "dxDataGrid-columnFixingRightPosition": "Jobbra",
            "dxDataGrid-exportTo": "Exportálás",
            "dxDataGrid-exportToExcel": "Exportálás Excel fájlba",
            "dxDataGrid-exporting": "Exportálás...",
            "dxDataGrid-excelFormat": "Excel fájl",
            "dxDataGrid-selectedRows": "Kiválasztott sorok",
            "dxDataGrid-exportSelectedRows": "Kiválasztott sorok exportálása",
            "dxDataGrid-exportAll": "Az összes adat exportálása",
            "dxDataGrid-headerFilterEmptyValue": "(Üresek)",
            "dxDataGrid-headerFilterOK": "OK",
            "dxDataGrid-headerFilterCancel": "Mégse",
            "dxDataGrid-ariaColumn": "Oszlop",
            "dxDataGrid-ariaValue": "Érték",
            "dxDataGrid-ariaFilterCell": "Szűrő cella",
            "dxDataGrid-ariaCollapse": "Összecsukás",
            "dxDataGrid-ariaExpand": "Kibontás",
            "dxDataGrid-ariaDataGrid": "Adatrács",
            "dxDataGrid-ariaSearchInGrid": "Keresés az adatrácsban",
            "dxDataGrid-ariaSelectAll": "Összes kiválasztása",
            "dxDataGrid-ariaSelectRow": "Sor kiválasztása",
            "dxDataGrid-filterBuilderPopupTitle": "Szűrőkészítő",
            "dxDataGrid-filterPanelCreateFilter": "Szűrő létrehozása",
            "dxDataGrid-filterPanelClearFilter": "Törlés",
            "dxDataGrid-filterPanelFilterEnabledHint": "Szűrő engedélyezése",
            "dxTreeList-ariaTreeList": "Fa lista",
            "dxTreeList-editingAddRowToNode": "Hozzáadás",
            "dxPager-infoText": "Oldal: {0}/{1} ({2} elem)",
            "dxPager-pagesCountText": "/",
            "dxPager-pageSizesAllText": "Mind",
            "dxPivotGrid-grandTotal": "Teljes összeg",
            "dxPivotGrid-total": "{0} Összeg",
            "dxPivotGrid-fieldChooserTitle": "Mezőválasztó",
            "dxPivotGrid-showFieldChooser": "Mezőválasztó megjelenítése",
            "dxPivotGrid-expandAll": "Összes kibontása",
            "dxPivotGrid-collapseAll": "Összes összecsukása",
            "dxPivotGrid-sortColumnBySummary": "Rendezés \"{0}\" ezen oszlop alapján",
            "dxPivotGrid-sortRowBySummary": "Rendezés \"{0}\" ezen sor alapján",
            "dxPivotGrid-removeAllSorting": "Összes rendezés törlése",
            "dxPivotGrid-dataNotAvailable": "N/A",
            "dxPivotGrid-rowFields": "Sormező",
            "dxPivotGrid-columnFields": "Oszlopmező",
            "dxPivotGrid-dataFields": "Adatmező",
            "dxPivotGrid-filterFields": "Szűrőmező",
            "dxPivotGrid-allFields": "Összes mező",
            "dxPivotGrid-columnFieldArea": "Húzza az oszlopmezőket ide",
            "dxPivotGrid-dataFieldArea": "Húzza az adatmezőket ide",
            "dxPivotGrid-rowFieldArea": "Húzza a sormezőket ide",
            "dxPivotGrid-filterFieldArea": "Húzza a szűrőmezőket ide",
            "dxScheduler-editorLabelTitle": "Tárgy",
            "dxScheduler-editorLabelStartDate": "Kezdés dátuma",
            "dxScheduler-editorLabelEndDate": "Befejezés dátuma",
            "dxScheduler-editorLabelDescription": "Leírás",
            "dxScheduler-editorLabelRecurrence": "Ismétlődés",
            "dxScheduler-openAppointment": "Találkozó megnyitása",
            "dxScheduler-recurrenceNever": "Soha",
            "dxScheduler-recurrenceMinutely": "Minutely",
            "dxScheduler-recurrenceHourly": "Hourly",
            "dxScheduler-recurrenceDaily": "Naponta",
            "dxScheduler-recurrenceWeekly": "Hetente",
            "dxScheduler-recurrenceMonthly": "Havonta",
            "dxScheduler-recurrenceYearly": "Évente",
            "dxScheduler-recurrenceRepeatEvery": "Ismétlődés minden",
            "dxScheduler-recurrenceRepeatOn": "Ismétlődés",
            "dxScheduler-recurrenceEnd": "Ismétlődés vége",
            "dxScheduler-recurrenceAfter": "Után",
            "dxScheduler-recurrenceOn": "Ekkor",
            "dxScheduler-recurrenceRepeatMinutely": "minute(s)",
            "dxScheduler-recurrenceRepeatHourly": "hour(s)",
            "dxScheduler-recurrenceRepeatDaily": "nap(ok)",
            "dxScheduler-recurrenceRepeatWeekly": "hét(ek)",
            "dxScheduler-recurrenceRepeatMonthly": "hónap(ok)",
            "dxScheduler-recurrenceRepeatYearly": "év(ek)",
            "dxScheduler-switcherDay": "Nap",
            "dxScheduler-switcherWeek": "Hét",
            "dxScheduler-switcherWorkWeek": "Munkahét",
            "dxScheduler-switcherMonth": "Hónap",
            "dxScheduler-switcherAgenda": "Naptár",
            "dxScheduler-switcherTimelineDay": "Idővonal nap",
            "dxScheduler-switcherTimelineWeek": "Idővonal hét",
            "dxScheduler-switcherTimelineWorkWeek": "Idővonal munkahét",
            "dxScheduler-switcherTimelineMonth": "Idővonal hónap",
            "dxScheduler-recurrenceRepeatOnDate": "dátumon",
            "dxScheduler-recurrenceRepeatCount": "előfordulás(ok)",
            "dxScheduler-allDay": "Egész nap",
            "dxScheduler-confirmRecurrenceEditMessage": "Csak ezt az alkalmat szeretné szerkeszteni, vagy az összes ismétlődést?",
            "dxScheduler-confirmRecurrenceDeleteMessage": "Csak ezt az alkalmat szeretné törölni, vagy az összes ismétlődést?",
            "dxScheduler-confirmRecurrenceEditSeries": "Ismétlődés szerkesztése",
            "dxScheduler-confirmRecurrenceDeleteSeries": "Ismétlődés törlése",
            "dxScheduler-confirmRecurrenceEditOccurrence": "Alkalom szerkesztése",
            "dxScheduler-confirmRecurrenceDeleteOccurrence": "Alkalom törlése",
            "dxScheduler-noTimezoneTitle": "Nincs időzóna",
            "dxScheduler-moreAppointments": "{0} több",
            "dxCalendar-todayButtonText": "Ma",
            "dxCalendar-ariaWidgetName": "Naptár",
            "dxColorView-ariaRed": "Piros",
            "dxColorView-ariaGreen": "Zöld",
            "dxColorView-ariaBlue": "Kék",
            "dxColorView-ariaAlpha": "Átlátszóság",
            "dxColorView-ariaHex": "Színkód",
            "dxTagBox-selected": "{0} kiválasztva",
            "dxTagBox-allSelected": "Összes kiválasztva ({0})",
            "dxTagBox-moreSelected": "{0} több",
            "vizExport-printingButtonText": "Nyomtatás",
            "vizExport-titleMenuText": "Exportálás/Nyomtatás",
            "vizExport-exportButtonText": "{0} fájl",
            "dxFilterBuilder-and": "És",
            "dxFilterBuilder-or": "Vagy",
            "dxFilterBuilder-notAnd": "Nem És",
            "dxFilterBuilder-notOr": "Nem Vagy",
            "dxFilterBuilder-addCondition": "Feltétel hozzáadása",
            "dxFilterBuilder-addGroup": "Csoport hozzáadása",
            "dxFilterBuilder-enterValueText": "<írjon be egy értéket>",
            "dxFilterBuilder-filterOperationEquals": "Egyenlő",
            "dxFilterBuilder-filterOperationNotEquals": "Nem egyenlő",
            "dxFilterBuilder-filterOperationLess": "Kisebb",
            "dxFilterBuilder-filterOperationLessOrEquals": "Kisebb vagy egyenlő",
            "dxFilterBuilder-filterOperationGreater": "Nagyobb",
            "dxFilterBuilder-filterOperationGreaterOrEquals": "Nagyobb vagy egyenlő",
            "dxFilterBuilder-filterOperationStartsWith": "Kezdődik",
            "dxFilterBuilder-filterOperationContains": "Tartalmazza",
            "dxFilterBuilder-filterOperationNotContains": "Nem tartalmazza",
            "dxFilterBuilder-filterOperationEndsWith": "Végződik",
            "dxFilterBuilder-filterOperationIsBlank": "Üres",
            "dxFilterBuilder-filterOperationIsNotBlank": "Nem üres",
            "dxFilterBuilder-filterOperationBetween": "Között",
            "dxFilterBuilder-filterOperationAnyOf": "Valamelyik",
            "dxFilterBuilder-filterOperationNoneOf": "Egyik sem",
            "dxHtmlEditor-dialogColorCaption": "Betűszín választás",
            "dxHtmlEditor-dialogBackgroundCaption": "Háttérszín választás",
            "dxHtmlEditor-dialogLinkCaption": "Link hozzáadása",
            "dxHtmlEditor-dialogLinkUrlField": "URL",
            "dxHtmlEditor-dialogLinkTextField": "Szöveg",
            "dxHtmlEditor-dialogLinkTargetField": "Link megnyitása új ablakban",
            "dxHtmlEditor-dialogImageCaption": "Kép hozzáadása",
            "dxHtmlEditor-dialogImageUrlField": "URL",
            "dxHtmlEditor-dialogImageAltField": "Alternatív szöveg",
            "dxHtmlEditor-dialogImageWidthField": "Szélesség (px)",
            "dxHtmlEditor-dialogImageHeightField": "Magasság (px)",
            "dxHtmlEditor-dialogInsertTableRowsField": "!TODO",
            "dxHtmlEditor-dialogInsertTableColumnsField": "!TODO",
            "dxHtmlEditor-dialogInsertTableCaption": "!TODO",
            "dxHtmlEditor-heading": "Fejléc",
            "dxHtmlEditor-normalText": "Normál szöveg",
            "dxHtmlEditor-background": "TODO",
            "dxHtmlEditor-bold": "TODO",
            "dxHtmlEditor-color": "TODO",
            "dxHtmlEditor-font": "TODO",
            "dxHtmlEditor-italic": "TODO",
            "dxHtmlEditor-link": "TODO",
            "dxHtmlEditor-image": "TODO",
            "dxHtmlEditor-size": "TODO",
            "dxHtmlEditor-strike": "TODO",
            "dxHtmlEditor-subscript": "TODO",
            "dxHtmlEditor-superscript": "TODO",
            "dxHtmlEditor-underline": "TODO",
            "dxHtmlEditor-blockquote": "TODO",
            "dxHtmlEditor-header": "TODO",
            "dxHtmlEditor-increaseIndent": "TODO",
            "dxHtmlEditor-decreaseIndent": "TODO",
            "dxHtmlEditor-orderedList": "TODO",
            "dxHtmlEditor-bulletList": "TODO",
            "dxHtmlEditor-alignLeft": "TODO",
            "dxHtmlEditor-alignCenter": "TODO",
            "dxHtmlEditor-alignRight": "TODO",
            "dxHtmlEditor-alignJustify": "TODO",
            "dxHtmlEditor-codeBlock": "TODO",
            "dxHtmlEditor-variable": "TODO",
            "dxHtmlEditor-undo": "TODO",
            "dxHtmlEditor-redo": "TODO",
            "dxHtmlEditor-clear": "TODO",
            "dxHtmlEditor-insertTable": "TODO",
            "dxHtmlEditor-insertHeaderRow": "TODO",
            "dxHtmlEditor-insertRowAbove": "TODO",
            "dxHtmlEditor-insertRowBelow": "TODO",
            "dxHtmlEditor-insertColumnLeft": "TODO",
            "dxHtmlEditor-insertColumnRight": "TODO",
            "dxHtmlEditor-deleteColumn": "TODO",
            "dxHtmlEditor-deleteRow": "TODO",
            "dxHtmlEditor-deleteTable": "TODO",
            "dxHtmlEditor-cellProperties": "TODO",
            "dxHtmlEditor-tableProperties": "TODO",
            "dxHtmlEditor-insert": "TODO",
            "dxHtmlEditor-delete": "TODO",
            "dxHtmlEditor-border": "TODO",
            "dxHtmlEditor-style": "TODO",
            "dxHtmlEditor-width": "TODO",
            "dxHtmlEditor-height": "TODO",
            "dxHtmlEditor-borderColor": "TODO",
            "dxHtmlEditor-tableBackground": "TODO",
            "dxHtmlEditor-dimensions": "TODO",
            "dxHtmlEditor-alignment": "TODO",
            "dxHtmlEditor-horizontal": "TODO",
            "dxHtmlEditor-vertical": "TODO",
            "dxHtmlEditor-paddingVertical": "TODO",
            "dxHtmlEditor-paddingHorizontal": "TODO",
            "dxHtmlEditor-pixels": "TODO",
            "dxHtmlEditor-list": "TODO",
            "dxHtmlEditor-ordered": "TODO",
            "dxHtmlEditor-bullet": "TODO",
            "dxHtmlEditor-align": "TODO",
            "dxHtmlEditor-center": "TODO",
            "dxHtmlEditor-left": "TODO",
            "dxHtmlEditor-right": "TODO",
            "dxHtmlEditor-indent": "TODO",
            "dxHtmlEditor-justify": "TODO",
            "dxFileManager-newDirectoryName": "Névtelen könyvtár",
            "dxFileManager-rootDirectoryName": "Fájlok",
            "dxFileManager-errorNoAccess": "Hozzáférés megtagadva. A műveletet nem lehet befejezni.",
            "dxFileManager-errorDirectoryExistsFormat": "'{0}' nevű könyvtár már létezik.",
            "dxFileManager-errorFileExistsFormat": "'{0}' nevű fájl már létezik.",
            "dxFileManager-errorFileNotFoundFormat": "'{0}' nevű fájl nem található",
            "dxFileManager-errorDirectoryNotFoundFormat": "'{0}' nevű könyvtár nem található",
            "dxFileManager-errorWrongFileExtension": "Nem engedélyezett fájltípus",
            "dxFileManager-errorMaxFileSizeExceeded": "A fájlméret meghaladja a megengedett legnagyobb méretet",
            "dxFileManager-errorDefault": "Ismeretlen hiba.",
            "dxFileManager-errorDirectoryOpenFailed": "TODO",
            "dxDiagram-categoryGeneral": "Általános",
            "dxDiagram-categoryFlowchart": "Folyamatábra",
            "dxDiagram-categoryOrgChart": "Szervezeti ábra",
            "dxDiagram-categoryContainers": "Tárolók",
            "dxDiagram-categoryCustom": "Egyedi",
            "dxDiagram-commandExportToSvg": "Exportálás SVG-be",
            "dxDiagram-commandExportToPng": "Exportálás PNG-be",
            "dxDiagram-commandExportToJpg": "Exportálás JPEG-be",
            "dxDiagram-commandUndo": "Visszavonás",
            "dxDiagram-commandRedo": "Újra",
            "dxDiagram-commandFontName": "Betűtípus",
            "dxDiagram-commandFontSize": "Betűméret",
            "dxDiagram-commandBold": "Félkövér",
            "dxDiagram-commandItalic": "Dőlt",
            "dxDiagram-commandUnderline": "Aláhúzott",
            "dxDiagram-commandTextColor": "Betűszín",
            "dxDiagram-commandLineColor": "Sor színe",
            "dxDiagram-commandLineWidth": "TODO",
            "dxDiagram-commandLineStyle": "TODO",
            "dxDiagram-commandLineStyleSolid": "TODO",
            "dxDiagram-commandLineStyleDotted": "TODO",
            "dxDiagram-commandLineStyleDashed": "TODO",
            "dxDiagram-commandFillColor": "Kitöltő szín",
            "dxDiagram-commandAlignLeft": "Balra igazítás",
            "dxDiagram-commandAlignCenter": "Középre igazítás",
            "dxDiagram-commandAlignRight": "Jobbra igazítás",
            "dxDiagram-commandConnectorLineType": "Összekötő vonal típusa",
            "dxDiagram-commandConnectorLineStraight": "Egyenes",
            "dxDiagram-commandConnectorLineOrthogonal": "Merőleges",
            "dxDiagram-commandConnectorLineStart": "Összekötő vonal kezdete",
            "dxDiagram-commandConnectorLineEnd": "Összekötő vonal vége",
            "dxDiagram-commandConnectorLineNone": "Egyik sem",
            "dxDiagram-commandConnectorLineArrow": "Nyíl",
            "dxDiagram-commandFullscreen": "Teljes képernyő",
            "dxDiagram-commandUnits": "Egységek",
            "dxDiagram-commandPageSize": "Lapméret",
            "dxDiagram-commandPageOrientation": "Tájolás",
            "dxDiagram-commandPageOrientationLandscape": "Fekvő",
            "dxDiagram-commandPageOrientationPortrait": "Álló",
            "dxDiagram-commandPageColor": "Oldal színe",
            "dxDiagram-commandShowGrid": "Rács megjelenítése",
            "dxDiagram-commandSnapToGrid": "Rácshoz igazítás",
            "dxDiagram-commandGridSize": "Rács mérete",
            "dxDiagram-commandZoomLevel": "Nagyítás",
            "dxDiagram-commandAutoZoom": "Automatikus nagyítás",
            "dxDiagram-commandFitToContent": "TODO",
            "dxDiagram-commandFitToWidth": "TODO",
            "dxDiagram-commandAutoZoomByContent": "TODO",
            "dxDiagram-commandAutoZoomByWidth": "TODO",
            "dxDiagram-commandSimpleView": "Egyszerűsített nézet",
            "dxDiagram-commandCut": "Kivágás",
            "dxDiagram-commandCopy": "Másolás",
            "dxDiagram-commandPaste": "Beillesztés",
            "dxDiagram-commandSelectAll": "Összes kiválasztása",
            "dxDiagram-commandDelete": "Törlés",
            "dxDiagram-commandBringToFront": "Előre hoz",
            "dxDiagram-commandSendToBack": "Hátra küld",
            "dxDiagram-commandLock": "Rögzít",
            "dxDiagram-commandUnlock": "Felold",
            "dxDiagram-commandInsertShapeImage": "Kép beszúrása...",
            "dxDiagram-commandEditShapeImage": "Kép cseréje...",
            "dxDiagram-commandDeleteShapeImage": "Kép törlése",
            "dxDiagram-commandLayoutLeftToRight": "TODO",
            "dxDiagram-commandLayoutRightToLeft": "TODO",
            "dxDiagram-commandLayoutTopToBottom": "TODO",
            "dxDiagram-commandLayoutBottomToTop": "TODO",
            "dxDiagram-unitIn": "in",
            "dxDiagram-unitCm": "cm",
            "dxDiagram-unitPx": "px",
            "dxDiagram-dialogButtonOK": "OK",
            "dxDiagram-dialogButtonCancel": "Mégse",
            "dxDiagram-dialogInsertShapeImageTitle": "Kép beszúrása",
            "dxDiagram-dialogEditShapeImageTitle": "Kép cseréje",
            "dxDiagram-dialogEditShapeImageSelectButton": "Kép kiválasztása",
            "dxDiagram-dialogEditShapeImageLabelText": "vagy húzza a fájlt ide",
            "dxDiagram-uiExport": "Exportálás",
            "dxDiagram-uiProperties": "Tulajdonságok",
            "dxDiagram-uiSettings": "TODO",
            "dxDiagram-uiShowToolbox": "TODO",
            "dxDiagram-uiSearch": "TODO",
            "dxDiagram-uiStyle": "TODO",
            "dxDiagram-uiLayout": "TODO",
            "dxDiagram-uiLayoutTree": "Fa",
            "dxDiagram-uiLayoutLayered": "Réteges",
            "dxDiagram-uiDiagram": "TODO",
            "dxDiagram-uiText": "TODO",
            "dxDiagram-uiObject": "TODO",
            "dxDiagram-uiConnector": "TODO",
            "dxDiagram-uiPage": "TODO",
            "dxDiagram-shapeText": "TODO",
            "dxDiagram-shapeRectangle": "TODO",
            "dxDiagram-shapeEllipse": "TODO",
            "dxDiagram-shapeCross": "TODO",
            "dxDiagram-shapeTriangle": "TODO",
            "dxDiagram-shapeDiamond": "TODO",
            "dxDiagram-shapeHeart": "TODO",
            "dxDiagram-shapePentagon": "TODO",
            "dxDiagram-shapeHexagon": "TODO",
            "dxDiagram-shapeOctagon": "TODO",
            "dxDiagram-shapeStar": "TODO",
            "dxDiagram-shapeArrowLeft": "TODO",
            "dxDiagram-shapeArrowUp": "TODO",
            "dxDiagram-shapeArrowRight": "TODO",
            "dxDiagram-shapeArrowDown": "TODO",
            "dxDiagram-shapeArrowUpDown": "TODO",
            "dxDiagram-shapeArrowLeftRight": "TODO",
            "dxDiagram-shapeProcess": "TODO",
            "dxDiagram-shapeDecision": "TODO",
            "dxDiagram-shapeTerminator": "TODO",
            "dxDiagram-shapePredefinedProcess": "TODO",
            "dxDiagram-shapeDocument": "TODO",
            "dxDiagram-shapeMultipleDocuments": "TODO",
            "dxDiagram-shapeManualInput": "TODO",
            "dxDiagram-shapePreparation": "TODO",
            "dxDiagram-shapeData": "TODO",
            "dxDiagram-shapeDatabase": "TODO",
            "dxDiagram-shapeHardDisk": "TODO",
            "dxDiagram-shapeInternalStorage": "TODO",
            "dxDiagram-shapePaperTape": "TODO",
            "dxDiagram-shapeManualOperation": "TODO",
            "dxDiagram-shapeDelay": "TODO",
            "dxDiagram-shapeStoredData": "TODO",
            "dxDiagram-shapeDisplay": "TODO",
            "dxDiagram-shapeMerge": "TODO",
            "dxDiagram-shapeConnector": "TODO",
            "dxDiagram-shapeOr": "TODO",
            "dxDiagram-shapeSummingJunction": "TODO",
            "dxDiagram-shapeContainerDefaultText": "TODO",
            "dxDiagram-shapeVerticalContainer": "TODO",
            "dxDiagram-shapeHorizontalContainer": "TODO",
            "dxDiagram-shapeCardDefaultText": "TODO",
            "dxDiagram-shapeCardWithImageOnLeft": "TODO",
            "dxDiagram-shapeCardWithImageOnTop": "TODO",
            "dxDiagram-shapeCardWithImageOnRight": "TODO",
            "dxGantt-dialogTitle": "TODO",
            "dxGantt-dialogStartTitle": "TODO",
            "dxGantt-dialogEndTitle": "TODO",
            "dxGantt-dialogProgressTitle": "TODO",
            "dxGantt-dialogResourcesTitle": "TODO",
            "dxGantt-dialogResourceManagerTitle": "TODO",
            "dxGantt-dialogTaskDetailsTitle": "TODO",
            "dxGantt-dialogEditResourceListHint": "TODO",
            "dxGantt-dialogEditNoResources": "TODO",
            "dxGantt-dialogButtonAdd": "TODO",
            "dxGantt-contextMenuNewTask": "TODO",
            "dxGantt-contextMenuNewSubtask": "TODO",
            "dxGantt-contextMenuDeleteTask": "TODO",
            "dxGantt-contextMenuDeleteDependency": "TODO",
            "dxGantt-dialogTaskDeleteConfirmation": "TODO",
            "dxGantt-dialogDependencyDeleteConfirmation": "TODO",
            "dxGantt-dialogResourcesDeleteConfirmation": "TODO",
            "dxGantt-dialogConstraintCriticalViolationMessage": "TODO",
            "dxGantt-dialogConstraintViolationMessage": "TODO",
            "dxGantt-dialogCancelOperationMessage": "TODO",
            "dxGantt-dialogDeleteDependencyMessage": "TODO",
            "dxGantt-dialogMoveTaskAndKeepDependencyMessage": "TODO",
            "dxGantt-undo": "TODO",
            "dxGantt-redo": "TODO",
            "dxGantt-expandAll": "TODO",
            "dxGantt-collapseAll": "TODO",
            "dxGantt-addNewTask": "TODO",
            "dxGantt-deleteSelectedTask": "TODO",
            "dxGantt-zoomIn": "TODO",
            "dxGantt-zoomOut": "TODO",
            "dxGantt-fullScreen": "TODO",
            "dxGantt-quarter": "TODO",
            "dxGantt-sortingAscendingText": "Növekvő",
            "dxGantt-sortingDescendingText": "Csökkenő",
            "dxGantt-sortingClearText": "Rendezés törlése",
            "dxGantt-showResources": "TODO",
            "dxGantt-showDependencies": "TODO",
            "dxGantt-dialogStartDateValidation": "TODO",
            "dxGantt-dialogEndDateValidation": "TODO"
        }
    });
}));
