/*!
* DevExtreme (dx.messages.tr.js)
* Version: 21.2.3
* Build date: Thu Nov 11 2021
*
* Copyright (c) 2012 - 2021 Developer Express Inc. ALL RIGHTS RESERVED
* Read about DevExtreme licensing here: https://js.devexpress.com/Licensing/
*/
"use strict";

(function(root, factory) {
    if(typeof define === 'function' && define.amd) {
        define(function(require) {
            factory(require("devextreme/localization"));
        });
    } else if(typeof module === "object" && module.exports) {
        factory(require("devextreme/localization"));
    } else {
        factory(DevExpress.localization);
    }
}(this, function(localization) {
    localization.loadMessages({
        "tr": {
            "Yes": "Evet",
            "No": "Hayır",
            "Cancel": "İptal",
            "Clear": "Temizle",
            "Done": "Tamam",
            "Loading": "Yükleniyor...",
            "Select": "Seç...",
            "Search": "Ara",
            "Back": "Geri",
            "OK": "Tamam",
            "dxCollectionWidget-noDataText": "Gösterilecek bilgi yok",
            "validation-required": "Zorunlu",
            "validation-required-formatted": "{0} gerekli",
            "validation-numeric": "Değer bir sayı olmalı",
            "validation-numeric-formatted": "{0} bir sayı olmalı",
            "validation-range": "Değer aralık dışında",
            "validation-range-formatted": "{0} aralık dışında",
            "validation-stringLength": "Değerin uzunluğu doğru değil",
            "validation-stringLength-formatted": "{0} uzunluğu doğru değil",
            "validation-custom": "Değer geçersiz",
            "validation-custom-formatted": "{0} geçersiz",
            "validation-compare": "Değerler eşleşmiyor",
            "validation-compare-formatted": "{0} eşleşmiyor",
            "validation-pattern": "Değer kalıpla eşleşmiyor",
            "validation-pattern-formatted": "{0} kalıpla eşleşmiyor",
            "validation-email": "E-posta geçersiz",
            "validation-email-formatted": "{0} geçersiz",
            "validation-mask": "Değer geçersiz",
            "dxLookup-searchPlaceholder": "Minimum karakter sayısı: {0}",
            "dxList-pullingDownText": "Yenilemek için aşağıya çekin...",
            "dxList-pulledDownText": "Yenilemek için bırakın...",
            "dxList-refreshingText": "Yenileniyor...",
            "dxList-pageLoadingText": "Yükleniyor...",
            "dxList-nextButtonText": "Daha",
            "dxList-selectAll": "Tümünü Seç",
            "dxListEditDecorator-delete": "Sil",
            "dxListEditDecorator-more": "Daha",
            "dxScrollView-pullingDownText": "Yenilemek için aşağıya çekin...",
            "dxScrollView-pulledDownText": "Yenilemek için bırakın...",
            "dxScrollView-refreshingText": "Yenileniyor...",
            "dxScrollView-reachBottomText": "Yükleniyor...",
            "dxDateBox-simulatedDataPickerTitleTime": "Saat seç",
            "dxDateBox-simulatedDataPickerTitleDate": "Tarih seç",
            "dxDateBox-simulatedDataPickerTitleDateTime": "Tarih ve saati seçin",
            "dxDateBox-validation-datetime": "Değer bir tarih veya saat olmalıdır",
            "dxFileUploader-selectFile": "Dosya seç",
            "dxFileUploader-dropFile": "veya Dosyayı buraya bırakın",
            "dxFileUploader-bytes": "bytes",
            "dxFileUploader-kb": "kb",
            "dxFileUploader-Mb": "Mb",
            "dxFileUploader-Gb": "Gb",
            "dxFileUploader-upload": "Yükleme",
            "dxFileUploader-uploaded": "Yüklenen",
            "dxFileUploader-readyToUpload": "Yüklemeye hazır",
            "dxFileUploader-uploadAbortedMessage": "TODO",
            "dxFileUploader-uploadFailedMessage": "Yükleme başarısız",
            "dxFileUploader-invalidFileExtension": "Dosya türüne izin verilmiyor",
            "dxFileUploader-invalidMaxFileSize": "Dosya çok büyük",
            "dxFileUploader-invalidMinFileSize": "Dosya çok küçük",
            "dxRangeSlider-ariaFrom": "İtibaren",
            "dxRangeSlider-ariaTill": "Kadar",
            "dxSwitch-switchedOnText": "Açık",
            "dxSwitch-switchedOffText": "Kapalı",
            "dxForm-optionalMark": "isteğe bağlı",
            "dxForm-requiredMessage": "{0} gerekli",
            "dxNumberBox-invalidValueMessage": "Değer bir sayı olmalı",
            "dxNumberBox-noDataText": "Veri yok",
            "dxDataGrid-columnChooserTitle": "Sütun Seçici",
            "dxDataGrid-columnChooserEmptyText": "Sütunu gizlemek için buraya sürükleyin",
            "dxDataGrid-groupContinuesMessage": "Bir sonraki sayfada devam ediyor",
            "dxDataGrid-groupContinuedMessage": "Önceki sayfadan devam",
            "dxDataGrid-groupHeaderText": "Bu Sütuna Göre Grupla",
            "dxDataGrid-ungroupHeaderText": "Grubu Kaldır",
            "dxDataGrid-ungroupAllText": "Tüm Grupları Kaldır",
            "dxDataGrid-editingEditRow": "Düzenle",
            "dxDataGrid-editingSaveRowChanges": "Kaydet",
            "dxDataGrid-editingCancelRowChanges": "İptal",
            "dxDataGrid-editingDeleteRow": "Sil",
            "dxDataGrid-editingUndeleteRow": "Silme",
            "dxDataGrid-editingConfirmDeleteMessage": "Bu kaydı silmek istediğinize emin misiniz?",
            "dxDataGrid-validationCancelChanges": "Değişiklikleri iptal et",
            "dxDataGrid-groupPanelEmptyText": "Bu sütuna göre gruplamak için bir sütun başlığını buraya sürükleyin",
            "dxDataGrid-noDataText": "Veri yok",
            "dxDataGrid-searchPanelPlaceholder": "Arama...",
            "dxDataGrid-filterRowShowAllText": "(Tümü)",
            "dxDataGrid-filterRowResetOperationText": "Sıfırla",
            "dxDataGrid-filterRowOperationEquals": "Eşittir",
            "dxDataGrid-filterRowOperationNotEquals": "Eşit değil",
            "dxDataGrid-filterRowOperationLess": "Daha küçük",
            "dxDataGrid-filterRowOperationLessOrEquals": "Daha küçük veya eşit",
            "dxDataGrid-filterRowOperationGreater": "Daha büyük",
            "dxDataGrid-filterRowOperationGreaterOrEquals": "Daha büyük veya eşit",
            "dxDataGrid-filterRowOperationStartsWith": "İle başlar",
            "dxDataGrid-filterRowOperationContains": "İçeren",
            "dxDataGrid-filterRowOperationNotContains": "İçermeyen",
            "dxDataGrid-filterRowOperationEndsWith": "İle biten",
            "dxDataGrid-filterRowOperationBetween": "Arasında",
            "dxDataGrid-filterRowOperationBetweenStartText": "Başla",
            "dxDataGrid-filterRowOperationBetweenEndText": "Bitiş",
            "dxDataGrid-applyFilterText": "Filtre uygula",
            "dxDataGrid-trueText": "evet",
            "dxDataGrid-falseText": "hayır",
            "dxDataGrid-sortingAscendingText": "Artan Sıralama",
            "dxDataGrid-sortingDescendingText": "Azalan Sıralama",
            "dxDataGrid-sortingClearText": "Sıralamayı Temizle",
            "dxDataGrid-editingSaveAllChanges": "Değişiklikleri Kaydet",
            "dxDataGrid-editingCancelAllChanges": "Değişiklikleri iptal et",
            "dxDataGrid-editingAddRow": "Satır ekle",
            "dxDataGrid-summaryMin": "Min: {0}",
            "dxDataGrid-summaryMinOtherColumn": "{1} min: {0}",
            "dxDataGrid-summaryMax": "Max: {0}",
            "dxDataGrid-summaryMaxOtherColumn": "{1} max: {0}",
            "dxDataGrid-summaryAvg": "Ort: {0}",
            "dxDataGrid-summaryAvgOtherColumn": "{1} ortalaması: {0}",
            "dxDataGrid-summarySum": "Top: {0}",
            "dxDataGrid-summarySumOtherColumn": "{1} toplamı: {0}",
            "dxDataGrid-summaryCount": "Toplam: {0}",
            "dxDataGrid-columnFixingFix": "Sabitle",
            "dxDataGrid-columnFixingUnfix": "Çöz",
            "dxDataGrid-columnFixingLeftPosition": "Sola",
            "dxDataGrid-columnFixingRightPosition": "Sağa",
            "dxDataGrid-exportTo": "Dışa aktar",
            "dxDataGrid-exportToExcel": "Excel dosyasına aktar",
            "dxDataGrid-exporting": "Dışa Aktar...",
            "dxDataGrid-excelFormat": "Excel dosyası",
            "dxDataGrid-selectedRows": "Seçili satırlar",
            "dxDataGrid-exportSelectedRows": "Seçili satırları aktar",
            "dxDataGrid-exportAll": "Tüm verileri dışa aktar",
            "dxDataGrid-headerFilterEmptyValue": "(Blanks)",
            "dxDataGrid-headerFilterOK": "Tamam",
            "dxDataGrid-headerFilterCancel": "İptal",
            "dxDataGrid-ariaColumn": "Sütun",
            "dxDataGrid-ariaValue": "Veri",
            "dxDataGrid-ariaFilterCell": "Filtre hücresi",
            "dxDataGrid-ariaCollapse": "Daralt",
            "dxDataGrid-ariaExpand": "Genişlet",
            "dxDataGrid-ariaDataGrid": "Tablo",
            "dxDataGrid-ariaSearchInGrid": "Tabloda ara",
            "dxDataGrid-ariaSelectAll": "Hepsini seç",
            "dxDataGrid-ariaSelectRow": "Satırı seç",
            "dxDataGrid-filterBuilderPopupTitle": "Filtre Oluşturucu",
            "dxDataGrid-filterPanelCreateFilter": "Filtre Oluştur",
            "dxDataGrid-filterPanelClearFilter": "Temizle",
            "dxDataGrid-filterPanelFilterEnabledHint": "Filtreyi etkinleştir",
            "dxTreeList-ariaTreeList": "Ağaç listesi",
            "dxTreeList-editingAddRowToNode": "Ekle",
            "dxPager-infoText": "Sayfa {0} / {1} ({2} veri)",
            "dxPager-pagesCountText": "arasında",
            "dxPager-pageSizesAllText": "Tümü",
            "dxPivotGrid-grandTotal": "Genel Toplam",
            "dxPivotGrid-total": "{0} Toplam",
            "dxPivotGrid-fieldChooserTitle": "Alan Seçici",
            "dxPivotGrid-showFieldChooser": "Alan Seçiciyi Göster",
            "dxPivotGrid-expandAll": "Tümünü Genişlet",
            "dxPivotGrid-collapseAll": "Tümünü Daralt",
            "dxPivotGrid-sortColumnBySummary": "\"{0}\" Bu Sütuna Göre Sırala",
            "dxPivotGrid-sortRowBySummary": "\"{0}\" Bu Satıra Göre Sırala",
            "dxPivotGrid-removeAllSorting": "Tüm Sıralamaları Kaldır",
            "dxPivotGrid-dataNotAvailable": "N/A",
            "dxPivotGrid-rowFields": "Satır Alanları",
            "dxPivotGrid-columnFields": "Sütun Alanları",
            "dxPivotGrid-dataFields": "Veri Alanları",
            "dxPivotGrid-filterFields": "Filtre Alanları",
            "dxPivotGrid-allFields": "Tüm Alanlar",
            "dxPivotGrid-columnFieldArea": "Sütun Alanlarını Buraya Bırak",
            "dxPivotGrid-dataFieldArea": "Veri Alanlarını Buraya Bırak",
            "dxPivotGrid-rowFieldArea": "Satır Alanlarını Buraya Bırak",
            "dxPivotGrid-filterFieldArea": "Filtre Alanlarını Buraya Bırak",
            "dxScheduler-editorLabelTitle": "Konu",
            "dxScheduler-editorLabelStartDate": "Başlangıç Tarihi",
            "dxScheduler-editorLabelEndDate": "Bitiş Tarihi",
            "dxScheduler-editorLabelDescription": "Açıklama",
            "dxScheduler-editorLabelRecurrence": "Tekrar",
            "dxScheduler-openAppointment": "Randevu Aç",
            "dxScheduler-recurrenceNever": "Asla",
            "dxScheduler-recurrenceMinutely": "Minutely",
            "dxScheduler-recurrenceHourly": "Hourly",
            "dxScheduler-recurrenceDaily": "Günlük",
            "dxScheduler-recurrenceWeekly": "Haftalık",
            "dxScheduler-recurrenceMonthly": "Aylık",
            "dxScheduler-recurrenceYearly": "Yıllık",
            "dxScheduler-recurrenceRepeatEvery": "Her tekrarla",
            "dxScheduler-recurrenceRepeatOn": "Tekrarla",
            "dxScheduler-recurrenceEnd": "Tekrarı bitir",
            "dxScheduler-recurrenceAfter": "Sonra",
            "dxScheduler-recurrenceOn": "İle",
            "dxScheduler-recurrenceRepeatMinutely": "minute(s)",
            "dxScheduler-recurrenceRepeatHourly": "hour(s)",
            "dxScheduler-recurrenceRepeatDaily": "günler",
            "dxScheduler-recurrenceRepeatWeekly": "haftalar",
            "dxScheduler-recurrenceRepeatMonthly": "aylar",
            "dxScheduler-recurrenceRepeatYearly": "yıllar",
            "dxScheduler-switcherDay": "Gün",
            "dxScheduler-switcherWeek": "Hafta",
            "dxScheduler-switcherWorkWeek": "Çalışma Haftası",
            "dxScheduler-switcherMonth": "Ay",
            "dxScheduler-switcherAgenda": "Ajanda",
            "dxScheduler-switcherTimelineDay": "Zaman Çizelgesi Günü",
            "dxScheduler-switcherTimelineWeek": "Zaman Çizelgesi Haftası",
            "dxScheduler-switcherTimelineWorkWeek": "Zaman Çizelgesi Çalışma Haftası",
            "dxScheduler-switcherTimelineMonth": "TZaman Çizelgesi Çalışma Ayı",
            "dxScheduler-recurrenceRepeatOnDate": "tarihinde",
            "dxScheduler-recurrenceRepeatCount": "olaylar",
            "dxScheduler-allDay": "Tüm gün",
            "dxScheduler-confirmRecurrenceEditMessage": "Yalnızca bu randevuyu veya tüm diziyi düzenlemek ister misiniz?",
            "dxScheduler-confirmRecurrenceDeleteMessage": "Yalnızca bu randevuyu veya tüm diziyi silmek istiyor musunuz?",
            "dxScheduler-confirmRecurrenceEditSeries": "Serileri düzenle",
            "dxScheduler-confirmRecurrenceDeleteSeries": "Serileri sil",
            "dxScheduler-confirmRecurrenceEditOccurrence": "Randevuyu düzenle",
            "dxScheduler-confirmRecurrenceDeleteOccurrence": "Randevuyu sil",
            "dxScheduler-noTimezoneTitle": "Saat dilimi yok",
            "dxScheduler-moreAppointments": "{0} daha",
            "dxCalendar-todayButtonText": "Bugün",
            "dxCalendar-ariaWidgetName": "Takvim",
            "dxColorView-ariaRed": "Kırmızı",
            "dxColorView-ariaGreen": "Yeşil",
            "dxColorView-ariaBlue": "Mavi",
            "dxColorView-ariaAlpha": "Şeffaflık",
            "dxColorView-ariaHex": "Renk kodu",
            "dxTagBox-selected": "{0} seçili",
            "dxTagBox-allSelected": "Tümü seçildi ({0})",
            "dxTagBox-moreSelected": "{0} daha",
            "vizExport-printingButtonText": "Yazdır",
            "vizExport-titleMenuText": "Dışa Aktar/Yazdır",
            "vizExport-exportButtonText": "{0} dosya",
            "dxFilterBuilder-and": "Ve",
            "dxFilterBuilder-or": "Veya",
            "dxFilterBuilder-notAnd": "Değil Ve",
            "dxFilterBuilder-notOr": "Değil Veya",
            "dxFilterBuilder-addCondition": "Koşul Ekle",
            "dxFilterBuilder-addGroup": "Grup Ekle",
            "dxFilterBuilder-enterValueText": "<değer gir>",
            "dxFilterBuilder-filterOperationEquals": "Eşit",
            "dxFilterBuilder-filterOperationNotEquals": "Eşit değil",
            "dxFilterBuilder-filterOperationLess": "Daha küçük",
            "dxFilterBuilder-filterOperationLessOrEquals": "Daha küçük veya eşit",
            "dxFilterBuilder-filterOperationGreater": "Daha büyük",
            "dxFilterBuilder-filterOperationGreaterOrEquals": "Daha büyük veya eşit",
            "dxFilterBuilder-filterOperationStartsWith": "İle başlar",
            "dxFilterBuilder-filterOperationContains": "İçerir",
            "dxFilterBuilder-filterOperationNotContains": "İçermez",
            "dxFilterBuilder-filterOperationEndsWith": "İle biter",
            "dxFilterBuilder-filterOperationIsBlank": "Boş",
            "dxFilterBuilder-filterOperationIsNotBlank": "Boş değil",
            "dxFilterBuilder-filterOperationBetween": "Arasında",
            "dxFilterBuilder-filterOperationAnyOf": "Herhangi biri",
            "dxFilterBuilder-filterOperationNoneOf": "Hiçbiri",
            "dxHtmlEditor-dialogColorCaption": "Yazı Tipi Rengini Değiştir",
            "dxHtmlEditor-dialogBackgroundCaption": "Arka Plan Rengini Değiştir",
            "dxHtmlEditor-dialogLinkCaption": "Link Ekle",
            "dxHtmlEditor-dialogLinkUrlField": "URL",
            "dxHtmlEditor-dialogLinkTextField": "Metin",
            "dxHtmlEditor-dialogLinkTargetField": "Linki yeni pencerede aç",
            "dxHtmlEditor-dialogImageCaption": "Resim Ekle",
            "dxHtmlEditor-dialogImageUrlField": "URL",
            "dxHtmlEditor-dialogImageAltField": "Alternatif metin",
            "dxHtmlEditor-dialogImageWidthField": "Genişlik (px)",
            "dxHtmlEditor-dialogImageHeightField": "Yükseklik (px)",
            "dxHtmlEditor-dialogInsertTableRowsField": "!TODO",
            "dxHtmlEditor-dialogInsertTableColumnsField": "!TODO",
            "dxHtmlEditor-dialogInsertTableCaption": "!TODO",
            "dxHtmlEditor-heading": "Başlık",
            "dxHtmlEditor-normalText": "Normal metin",
            "dxHtmlEditor-background": "TODO",
            "dxHtmlEditor-bold": "TODO",
            "dxHtmlEditor-color": "TODO",
            "dxHtmlEditor-font": "TODO",
            "dxHtmlEditor-italic": "TODO",
            "dxHtmlEditor-link": "TODO",
            "dxHtmlEditor-image": "TODO",
            "dxHtmlEditor-size": "TODO",
            "dxHtmlEditor-strike": "TODO",
            "dxHtmlEditor-subscript": "TODO",
            "dxHtmlEditor-superscript": "TODO",
            "dxHtmlEditor-underline": "TODO",
            "dxHtmlEditor-blockquote": "TODO",
            "dxHtmlEditor-header": "TODO",
            "dxHtmlEditor-increaseIndent": "TODO",
            "dxHtmlEditor-decreaseIndent": "TODO",
            "dxHtmlEditor-orderedList": "TODO",
            "dxHtmlEditor-bulletList": "TODO",
            "dxHtmlEditor-alignLeft": "TODO",
            "dxHtmlEditor-alignCenter": "TODO",
            "dxHtmlEditor-alignRight": "TODO",
            "dxHtmlEditor-alignJustify": "TODO",
            "dxHtmlEditor-codeBlock": "TODO",
            "dxHtmlEditor-variable": "TODO",
            "dxHtmlEditor-undo": "TODO",
            "dxHtmlEditor-redo": "TODO",
            "dxHtmlEditor-clear": "TODO",
            "dxHtmlEditor-insertTable": "TODO",
            "dxHtmlEditor-insertHeaderRow": "TODO",
            "dxHtmlEditor-insertRowAbove": "TODO",
            "dxHtmlEditor-insertRowBelow": "TODO",
            "dxHtmlEditor-insertColumnLeft": "TODO",
            "dxHtmlEditor-insertColumnRight": "TODO",
            "dxHtmlEditor-deleteColumn": "TODO",
            "dxHtmlEditor-deleteRow": "TODO",
            "dxHtmlEditor-deleteTable": "TODO",
            "dxHtmlEditor-cellProperties": "TODO",
            "dxHtmlEditor-tableProperties": "TODO",
            "dxHtmlEditor-insert": "TODO",
            "dxHtmlEditor-delete": "TODO",
            "dxHtmlEditor-border": "TODO",
            "dxHtmlEditor-style": "TODO",
            "dxHtmlEditor-width": "TODO",
            "dxHtmlEditor-height": "TODO",
            "dxHtmlEditor-borderColor": "TODO",
            "dxHtmlEditor-tableBackground": "TODO",
            "dxHtmlEditor-dimensions": "TODO",
            "dxHtmlEditor-alignment": "TODO",
            "dxHtmlEditor-horizontal": "TODO",
            "dxHtmlEditor-vertical": "TODO",
            "dxHtmlEditor-paddingVertical": "TODO",
            "dxHtmlEditor-paddingHorizontal": "TODO",
            "dxHtmlEditor-pixels": "TODO",
            "dxHtmlEditor-list": "TODO",
            "dxHtmlEditor-ordered": "TODO",
            "dxHtmlEditor-bullet": "TODO",
            "dxHtmlEditor-align": "TODO",
            "dxHtmlEditor-center": "TODO",
            "dxHtmlEditor-left": "TODO",
            "dxHtmlEditor-right": "TODO",
            "dxHtmlEditor-indent": "TODO",
            "dxHtmlEditor-justify": "TODO",
            "dxFileManager-errorNoAccess": "Erişim reddedildi. İşlem tamamlanamıyor.",
            "dxFileManager-errorDirectoryExistsFormat": "Klasör '{0}' zaten var.",
            "dxFileManager-errorFileExistsFormat": "Dosya '{0}' zaten var.",
            "dxFileManager-errorFileNotFoundFormat": "Dosya '{0}' bulunamadı",
            "dxFileManager-errorDefault": "Belirtilmemiş hata.",
            "dxFileManager-newDirectoryName": "TODO",
            "dxFileManager-rootDirectoryName": "TODO",
            "dxFileManager-errorDirectoryNotFoundFormat": "TODO",
            "dxFileManager-errorWrongFileExtension": "TODO",
            "dxFileManager-errorMaxFileSizeExceeded": "TODO",
            "dxFileManager-errorInvalidSymbols": "TODO",
            "dxFileManager-errorDirectoryOpenFailed": "TODO",
            "dxDiagram-categoryGeneral": "TODO",
            "dxDiagram-categoryFlowchart": "TODO",
            "dxDiagram-categoryOrgChart": "TODO",
            "dxDiagram-categoryContainers": "TODO",
            "dxDiagram-categoryCustom": "TODO",
            "dxDiagram-commandExportToSvg": "TODO",
            "dxDiagram-commandExportToPng": "TODO",
            "dxDiagram-commandExportToJpg": "TODO",
            "dxDiagram-commandUndo": "TODO",
            "dxDiagram-commandRedo": "TODO",
            "dxDiagram-commandFontName": "TODO",
            "dxDiagram-commandFontSize": "TODO",
            "dxDiagram-commandBold": "TODO",
            "dxDiagram-commandItalic": "TODO",
            "dxDiagram-commandUnderline": "TODO",
            "dxDiagram-commandTextColor": "TODO",
            "dxDiagram-commandLineColor": "TODO",
            "dxDiagram-commandFillColor": "TODO",
            "dxDiagram-commandAlignLeft": "TODO",
            "dxDiagram-commandAlignCenter": "TODO",
            "dxDiagram-commandAlignRight": "TODO",
            "dxDiagram-commandConnectorLineType": "TODO",
            "dxDiagram-commandConnectorLineStraight": "TODO",
            "dxDiagram-commandConnectorLineOrthogonal": "TODO",
            "dxDiagram-commandConnectorLineStart": "TODO",
            "dxDiagram-commandConnectorLineEnd": "TODO",
            "dxDiagram-commandConnectorLineNone": "TODO",
            "dxDiagram-commandConnectorLineArrow": "TODO",
            "dxDiagram-commandFullscreen": "TODO",
            "dxDiagram-commandUnits": "TODO",
            "dxDiagram-commandPageSize": "TODO",
            "dxDiagram-commandPageOrientation": "TODO",
            "dxDiagram-commandPageOrientationLandscape": "TODO",
            "dxDiagram-commandPageOrientationPortrait": "TODO",
            "dxDiagram-commandPageColor": "TODO",
            "dxDiagram-commandShowGrid": "TODO",
            "dxDiagram-commandSnapToGrid": "TODO",
            "dxDiagram-commandGridSize": "TODO",
            "dxDiagram-commandZoomLevel": "TODO",
            "dxDiagram-commandAutoZoom": "TODO",
            "dxDiagram-commandFitToContent": "TODO",
            "dxDiagram-commandFitToWidth": "TODO",
            "dxDiagram-commandAutoZoomByContent": "TODO",
            "dxDiagram-commandAutoZoomByWidth": "TODO",
            "dxDiagram-commandSimpleView": "TODO",
            "dxDiagram-commandCut": "TODO",
            "dxDiagram-commandCopy": "TODO",
            "dxDiagram-commandPaste": "TODO",
            "dxDiagram-commandSelectAll": "TODO",
            "dxDiagram-commandDelete": "TODO",
            "dxDiagram-commandBringToFront": "TODO",
            "dxDiagram-commandSendToBack": "TODO",
            "dxDiagram-commandLock": "TODO",
            "dxDiagram-commandUnlock": "TODO",
            "dxDiagram-commandInsertShapeImage": "TODO",
            "dxDiagram-commandEditShapeImage": "TODO",
            "dxDiagram-commandDeleteShapeImage": "TODO",
            "dxDiagram-commandLayoutLeftToRight": "TODO",
            "dxDiagram-commandLayoutRightToLeft": "TODO",
            "dxDiagram-commandLayoutTopToBottom": "TODO",
            "dxDiagram-commandLayoutBottomToTop": "TODO",
            "dxDiagram-unitIn": "TODO",
            "dxDiagram-unitCm": "TODO",
            "dxDiagram-unitPx": "TODO",
            "dxDiagram-dialogButtonOK": "TODO",
            "dxDiagram-dialogButtonCancel": "TODO",
            "dxDiagram-dialogInsertShapeImageTitle": "TODO",
            "dxDiagram-dialogEditShapeImageTitle": "TODO",
            "dxDiagram-dialogEditShapeImageSelectButton": "TODO",
            "dxDiagram-dialogEditShapeImageLabelText": "TODO",
            "dxDiagram-uiExport": "TODO",
            "dxDiagram-uiProperties": "TODO",
            "dxDiagram-uiSettings": "TODO",
            "dxDiagram-uiShowToolbox": "TODO",
            "dxDiagram-uiSearch": "TODO",
            "dxDiagram-uiStyle": "TODO",
            "dxDiagram-uiLayout": "TODO",
            "dxDiagram-uiLayoutTree": "TODO",
            "dxDiagram-uiLayoutLayered": "TODO",
            "dxDiagram-uiDiagram": "TODO",
            "dxDiagram-uiText": "TODO",
            "dxDiagram-uiObject": "TODO",
            "dxDiagram-uiConnector": "TODO",
            "dxDiagram-uiPage": "TODO",
            "dxDiagram-shapeText": "TODO",
            "dxDiagram-shapeRectangle": "TODO",
            "dxDiagram-shapeEllipse": "TODO",
            "dxDiagram-shapeCross": "TODO",
            "dxDiagram-shapeTriangle": "TODO",
            "dxDiagram-shapeDiamond": "TODO",
            "dxDiagram-shapeHeart": "TODO",
            "dxDiagram-shapePentagon": "TODO",
            "dxDiagram-shapeHexagon": "TODO",
            "dxDiagram-shapeOctagon": "TODO",
            "dxDiagram-shapeStar": "TODO",
            "dxDiagram-shapeArrowLeft": "TODO",
            "dxDiagram-shapeArrowUp": "TODO",
            "dxDiagram-shapeArrowRight": "TODO",
            "dxDiagram-shapeArrowDown": "TODO",
            "dxDiagram-shapeArrowUpDown": "TODO",
            "dxDiagram-shapeArrowLeftRight": "TODO",
            "dxDiagram-shapeProcess": "TODO",
            "dxDiagram-shapeDecision": "TODO",
            "dxDiagram-shapeTerminator": "TODO",
            "dxDiagram-shapePredefinedProcess": "TODO",
            "dxDiagram-shapeDocument": "TODO",
            "dxDiagram-shapeMultipleDocuments": "TODO",
            "dxDiagram-shapeManualInput": "TODO",
            "dxDiagram-shapePreparation": "TODO",
            "dxDiagram-shapeData": "TODO",
            "dxDiagram-shapeDatabase": "TODO",
            "dxDiagram-shapeHardDisk": "TODO",
            "dxDiagram-shapeInternalStorage": "TODO",
            "dxDiagram-shapePaperTape": "TODO",
            "dxDiagram-shapeManualOperation": "TODO",
            "dxDiagram-shapeDelay": "TODO",
            "dxDiagram-shapeStoredData": "TODO",
            "dxDiagram-shapeDisplay": "TODO",
            "dxDiagram-shapeMerge": "TODO",
            "dxDiagram-shapeConnector": "TODO",
            "dxDiagram-shapeOr": "TODO",
            "dxDiagram-shapeSummingJunction": "TODO",
            "dxDiagram-shapeContainerDefaultText": "TODO",
            "dxDiagram-shapeVerticalContainer": "TODO",
            "dxDiagram-shapeHorizontalContainer": "TODO",
            "dxDiagram-shapeCardDefaultText": "TODO",
            "dxDiagram-shapeCardWithImageOnLeft": "TODO",
            "dxDiagram-shapeCardWithImageOnTop": "TODO",
            "dxDiagram-shapeCardWithImageOnRight": "TODO",
            "dxGantt-dialogTitle": "TODO",
            "dxGantt-dialogStartTitle": "TODO",
            "dxGantt-dialogEndTitle": "TODO",
            "dxGantt-dialogProgressTitle": "TODO",
            "dxGantt-dialogResourcesTitle": "TODO",
            "dxGantt-dialogResourceManagerTitle": "TODO",
            "dxGantt-dialogTaskDetailsTitle": "TODO",
            "dxGantt-dialogEditResourceListHint": "TODO",
            "dxGantt-dialogEditNoResources": "TODO",
            "dxGantt-dialogButtonAdd": "TODO",
            "dxGantt-contextMenuNewTask": "TODO",
            "dxGantt-contextMenuNewSubtask": "TODO",
            "dxGantt-contextMenuDeleteTask": "TODO",
            "dxGantt-contextMenuDeleteDependency": "TODO",
            "dxGantt-dialogTaskDeleteConfirmation": "TODO",
            "dxGantt-dialogDependencyDeleteConfirmation": "TODO",
            "dxGantt-dialogResourcesDeleteConfirmation": "TODO",
            "dxGantt-dialogConstraintCriticalViolationMessage": "TODO",
            "dxGantt-dialogConstraintViolationMessage": "TODO",
            "dxGantt-dialogCancelOperationMessage": "TODO",
            "dxGantt-dialogDeleteDependencyMessage": "TODO",
            "dxGantt-dialogMoveTaskAndKeepDependencyMessage": "TODO",
            "dxGantt-undo": "TODO",
            "dxGantt-redo": "TODO",
            "dxGantt-expandAll": "TODO",
            "dxGantt-collapseAll": "TODO",
            "dxGantt-addNewTask": "TODO",
            "dxGantt-deleteSelectedTask": "TODO",
            "dxGantt-zoomIn": "TODO",
            "dxGantt-zoomOut": "TODO",
            "dxGantt-fullScreen": "TODO",
            "dxGantt-quarter": "TODO",
            "dxGantt-sortingAscendingText": "Artan Sıralama",
            "dxGantt-sortingDescendingText": "Azalan Sıralama",
            "dxGantt-sortingClearText": "Sıralamayı Temizle",
            "dxGantt-showResources": "TODO",
            "dxGantt-showDependencies": "TODO",
            "dxGantt-dialogStartDateValidation": "TODO",
            "dxGantt-dialogEndDateValidation": "TODO"
        }
    });
}));
