/**
* DevExtreme (esm/renovation/ui/scheduler/view_model/appointments/utils/getSkippedHoursInRange.js)
* Version: 21.2.3
* Build date: Thu Nov 11 2021
*
* Copyright (c) 2012 - 2021 Developer Express Inc. ALL RIGHTS RESERVED
* Read about DevExtreme licensing here: https://js.devexpress.com/Licensing/
*/
var getSkippedHoursInRange = (startDate, endDate, viewDataProvider) => {
  var startTime = startDate.getTime();
  var endTime = endDate.getTime();
  var hoursInDay = 24;
  var allDayIntervalDuration = hoursInDay * 1000 * 3600;
  var excludedHours = 0;

  for (var time = startTime; time <= endTime; time += allDayIntervalDuration) {
    var checkDate = new Date(time);

    if (viewDataProvider.isSkippedDate(checkDate)) {
      excludedHours += hoursInDay;
    }
  }

  return excludedHours;
};

export default getSkippedHoursInRange;
