/**
* DevExtreme (renovation/ui/scheduler/view_model/appointments/utils/getSkippedHoursInRange.js)
* Version: 21.2.3
* Build date: Thu Nov 11 2021
*
* Copyright (c) 2012 - 2021 Developer Express Inc. ALL RIGHTS RESERVED
* Read about DevExtreme licensing here: https://js.devexpress.com/Licensing/
*/
"use strict";

exports.default = void 0;

var getSkippedHoursInRange = function getSkippedHoursInRange(startDate, endDate, viewDataProvider) {
  var startTime = startDate.getTime();
  var endTime = endDate.getTime();
  var hoursInDay = 24;
  var allDayIntervalDuration = hoursInDay * 1000 * 3600;
  var excludedHours = 0;

  for (var time = startTime; time <= endTime; time += allDayIntervalDuration) {
    var checkDate = new Date(time);

    if (viewDataProvider.isSkippedDate(checkDate)) {
      excludedHours += hoursInDay;
    }
  }

  return excludedHours;
};

var _default = getSkippedHoursInRange;
exports.default = _default;
module.exports = exports.default;
module.exports.default = exports.default;
